#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x61bdb7bd, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x2e7e9c85, "_gpl");
SYMBOL_CRC(af_alg_release, 0xfcfb73ce, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x8fc85e29, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x34a818ff, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x6a5b2de3, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x09b9ca55, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x93f2b2d3, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xcb2a3983, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x14167408, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x45fe9932, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x375e47c7, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x955be57b, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x4d10de41, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xc55ee189, "sk_alloc" },
	{ 0x261ab9ae, "sock_init_data" },
	{ 0xa75ec636, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8e5c6cc4, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x59f55d76, "extract_iter_to_sg" },
	{ 0xac9499a6, "proto_register" },
	{ 0xdedca23, "sock_register" },
	{ 0xc888347, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0xf3a86d79, "lock_sock_nested" },
	{ 0xb85c4782, "release_sock" },
	{ 0x21d8c3f8, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x99dee770, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2c17bc7d, "sock_wake_async" },
	{ 0x7031329f, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x98b5e991, "__folio_put" },
	{ 0x74e8ed8b, "__put_devmap_managed_page_refs" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7c7cb802, "_copy_from_iter" },
	{ 0x2720c8a1, "alloc_pages" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8c91f154, "iov_iter_revert" },
	{ 0xa4f47fdb, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x55a7d193, "key_put" },
	{ 0x55bb3d60, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd197857e, "sock_no_connect" },
	{ 0x4a0d3d34, "sock_no_socketpair" },
	{ 0xa4232fff, "sock_no_getname" },
	{ 0x83b02961, "sock_no_ioctl" },
	{ 0x95404e77, "sock_no_listen" },
	{ 0xd7e1a727, "sock_no_shutdown" },
	{ 0x91c1a0c2, "sock_no_sendmsg" },
	{ 0x19efd43, "sock_no_recvmsg" },
	{ 0x3bc80391, "sock_no_mmap" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CBBE1DB40D3D6641CEA3F01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
