#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x7c98fce9, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x38882fd4, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xf03d14fd, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x6e84ee58, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xa8aab723, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x31a912a5, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x1f717ef3, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xe65da9be, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x384c5ea3, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x23ae33cd, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x2d7f2b71, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xe10e9567, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xac1da009, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xda7c7edb, "crypto_unregister_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xce61d7b9, "crypto_grab_aead" },
	{ 0x6960692, "crypto_grab_shash" },
	{ 0xa3fb2f, "shash_no_setkey" },
	{ 0xe4d3dda, "ahash_register_instance" },
	{ 0x2cef1e48, "crypto_grab_skcipher" },
	{ 0xea71d271, "skcipher_register_instance" },
	{ 0x9c113595, "aead_register_instance" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8c52a4c3, "crypto_register_template" },
	{ 0x4d19dff4, "crypto_skcipher_decrypt" },
	{ 0xb2232bf4, "crypto_skcipher_encrypt" },
	{ 0x87248d0c, "shash_ahash_digest" },
	{ 0x51e7ff81, "shash_ahash_finup" },
	{ 0xabd6e7ec, "crypto_shash_final" },
	{ 0xfe0ff6dc, "shash_ahash_update" },
	{ 0xca5e5f3, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb4adc711, "crypto_alloc_skcipher" },
	{ 0xdd13d8f8, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x413df9bb, "crypto_alloc_ahash" },
	{ 0xcb9e28a8, "crypto_alloc_aead" },
	{ 0xab712a4e, "crypto_skcipher_setkey" },
	{ 0x2ff147fd, "crypto_spawn_tfm2" },
	{ 0xa6cef77c, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1efa14b, "crypto_shash_setkey" },
	{ 0xca3cf6d9, "crypto_clone_shash" },
	{ 0x270e73c1, "crypto_aead_setauthsize" },
	{ 0xa726ac27, "crypto_aead_setkey" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x96ffe6d6, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc74199df, "crypto_enqueue_request" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DD30DF5492C1612FF1B43C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
