#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x647376c3, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xd80bdf5c, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x0714b76b, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xe0406ac2, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xb4806ad6, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x7e5c0c9f, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x54cc1faf, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xa93879a8, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x9a86c93c, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xd10d7f1c, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x5542c838, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x61fe1a02, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xb428bdc1, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x7c57f816, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x1005e1ea, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x5aca7496, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x9ec1db16, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x3b0f9927, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xd5ac98ae, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xf1414997, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xe0efba1e, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xdceea747, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xbb9ad75e, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xa786dee2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x19636876, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xc6ba2549, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x88a1b6ba, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xf19f2a4e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xf5c56b18, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xb692d62f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xcf529356, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xebce3e84, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xd915e16, "kthread_create_worker" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0xfd819921, "sched_set_fifo" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x679aa798, "kthread_destroy_worker" },
	{ 0x875d6618, "crypto_register_aead" },
	{ 0xb9bc6c5c, "crypto_unregister_aead" },
	{ 0xfb324584, "crypto_register_ahash" },
	{ 0xa68ae072, "crypto_unregister_ahash" },
	{ 0xc1f2cf32, "crypto_register_akcipher" },
	{ 0xaea55ed6, "crypto_unregister_akcipher" },
	{ 0xdaaaf334, "crypto_register_kpp" },
	{ 0x6b2ea86a, "crypto_unregister_kpp" },
	{ 0x27c8aa5a, "crypto_register_skcipher" },
	{ 0xee296fd2, "crypto_unregister_skcipher" },
	{ 0xc74199df, "crypto_enqueue_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x96ffe6d6, "crypto_dequeue_request" },
	{ 0x315176f5, "crypto_enqueue_request_head" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "158C7FFEDA40E7C22A24121");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
