#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0x01835303, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0x1e8db3bc, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0xe4b5d726, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x0213919d, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0xb1ba4ca6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x388fc7a6, "nvdimm_volatile_region_create" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1aedd3d5, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xfb578fc5, "memset" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x888708d6, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb42bbfea, "nvdimm_to_bus" },
	{ 0x75048009, "pv_ops" },
	{ 0xd82e8795, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7f2dd833, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x97a23986, "nd_cmd_in_size" },
	{ 0x6790ebd3, "mce_is_memory_error" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0x99b011c4, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xe016e96e, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xd872eb6f, "nvdimm_pmem_region_create" },
	{ 0xc6b1fe57, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x3cbbe56a, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x96b409f5, "nvdimm_cmd_mask" },
	{ 0xa93ac34, "acpi_bus_register_driver" },
	{ 0x78990b71, "nvdimm_region_notify" },
	{ 0x6d2e899d, "mce_usable_address" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7164ad2, "nd_region_provider_data" },
	{ 0x60549bce, "nvdimm_bus_add_badrange" },
	{ 0x1301de77, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x347522b5, "to_nvdimm" },
	{ 0xf2d7d87, "mce_unregister_decode_chain" },
	{ 0xb7e033e2, "__nvdimm_create" },
	{ 0x829b492a, "to_nd_region" },
	{ 0x9de54e1, "nvdimm_bus_check_dimm_count" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x28eaeb4c, "acpi_dev_remove_notify_handler" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0x1b074f, "mce_is_correctable" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0x5d904c93, "kernfs_notify" },
	{ 0x9f913751, "to_nvdimm_bus" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0xd147cda9, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8862b200, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x638a9653, "memory_add_physaddr_to_nid" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xe5e4ab99, "acpi_dev_install_notify_handler" },
	{ 0xf8f70863, "to_nd_desc" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x9609f566, "devm_kfree" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x40087484, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0x40e89917, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2bc2636f, "kernfs_find_and_get_ns" },
	{ 0xab9c7986, "nvdimm_name" },
	{ 0xf511052e, "to_nvdimm_bus_dev" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "1D401907920C123E8D9DE64");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
