#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0xa8266f86, "");
SYMBOL_CRC(ishtp_start, 0xf9c64077, "");
SYMBOL_CRC(ishtp_send_suspend, 0xf74c9bcf, "");
SYMBOL_CRC(ishtp_send_resume, 0xdf676b85, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x134a44e2, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x40c11226, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x6872d1e7, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x3a3ccfba, "");
SYMBOL_CRC(ishtp_cl_free, 0x775a5755, "");
SYMBOL_CRC(ishtp_cl_link, 0x819ea379, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x9157270c, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x7647b656, "");
SYMBOL_CRC(ishtp_cl_connect, 0xc519d030, "");
SYMBOL_CRC(ishtp_cl_send, 0x96a14e59, "");
SYMBOL_CRC(ishtp_get_client_data, 0x474a27b9, "");
SYMBOL_CRC(ishtp_set_client_data, 0x7065ee28, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0xb3d942b3, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x2cc76b6b, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x78875e5a, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x7a44dec6, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xa5d620c6, "");
SYMBOL_CRC(ishtp_recv, 0xd5e4329f, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x02a498ca, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x8de215a5, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x78b1969d, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0xa722f036, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x7de43dde, "");
SYMBOL_CRC(ishtp_get_device, 0x3c1bd3db, "");
SYMBOL_CRC(ishtp_put_device, 0x07ab65ce, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x1bb0f410, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xbb03c3f1, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xfc953842, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xe8c4cb60, "");
SYMBOL_CRC(ishtp_reset_handler, 0xca49cbfb, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x945f7d17, "");
SYMBOL_CRC(ishtp_device, 0x2d82d0e2, "");
SYMBOL_CRC(ishtp_wait_resume, 0x5292c87b, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x0856eebe, "");
SYMBOL_CRC(ishtp_trace_callback, 0x8e638467, "");
SYMBOL_CRC(ish_hw_reset, 0x3a818ed7, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xf7049b0f, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xa50dda23, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0xde3459f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc5a5212, "put_device" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x70b608e6, "bus_unregister" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0x6c7fe945, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x42b9d98a, "device_register" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa9cccb7f, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x11097c62, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5f431e7, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x525a7a92, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
