#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(amd_iommu_bind_pasid, "", "");
KSYMTAB_FUNC(amd_iommu_unbind_pasid, "", "");
KSYMTAB_FUNC(amd_iommu_init_device, "", "");
KSYMTAB_FUNC(amd_iommu_free_device, "", "");
KSYMTAB_FUNC(amd_iommu_set_invalid_ppr_cb, "", "");
KSYMTAB_FUNC(amd_iommu_set_invalidate_ctx_cb, "", "");

SYMBOL_CRC(amd_iommu_bind_pasid, 0xd0a4004e, "");
SYMBOL_CRC(amd_iommu_unbind_pasid, 0xb419fdb1, "");
SYMBOL_CRC(amd_iommu_init_device, 0x3b568f09, "");
SYMBOL_CRC(amd_iommu_free_device, 0xa9a6a257, "");
SYMBOL_CRC(amd_iommu_set_invalid_ppr_cb, 0xb3238d73, "");
SYMBOL_CRC(amd_iommu_set_invalidate_ctx_cb, 0xabdaeb36, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa47aa404, "amd_iommu_domain_clear_gcr3" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x48d50e79, "amd_iommu_register_ppr_notifier" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf100fb7d, "amd_iommu_complete_ppr" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x8f877a48, "pci_bus_type" },
	{ 0x99f2451e, "iommu_domain_alloc" },
	{ 0x5db13f3b, "amd_iommu_domain_direct_map" },
	{ 0xda8fa010, "amd_iommu_domain_enable_v2" },
	{ 0x2089df84, "iommu_domain_free" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4650123d, "iommu_group_get" },
	{ 0xa04b0d88, "iommu_attach_group" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa3ae475d, "pci_get_domain_bus_and_slot" },
	{ 0xc389ab26, "amd_iommu_is_attach_deferred" },
	{ 0x1dbfb7a2, "pci_dev_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x684b2c77, "__tracepoint_mmap_lock_start_locking" },
	{ 0x668b19a1, "down_read" },
	{ 0x8fd6f5c2, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x8cd54bc8, "__tracepoint_mmap_lock_released" },
	{ 0x53b954a2, "up_read" },
	{ 0xfa2ac425, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x9172ad6f, "__mmap_lock_do_trace_start_locking" },
	{ 0x10e64333, "__mmap_lock_do_trace_released" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x49d20dbd, "handle_mm_fault" },
	{ 0x3103d970, "mmu_notifier_unregister" },
	{ 0xa1289f09, "iommu_detach_group" },
	{ 0x76fb08a7, "amd_iommu_unregister_ppr_notifier" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4ee2d4e0, "get_task_mm" },
	{ 0xaeb3a2bb, "mmu_notifier_register" },
	{ 0xacba4073, "mmput" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3efaad2e, "amd_iommu_domain_set_gcr3" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafd5ff2c, "amd_iommu_v2_supported" },
	{ 0x5467fa, "amd_iommu_flush_page" },
	{ 0x219ebd98, "amd_iommu_flush_tlb" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A7FAF55046CAAE9BE49535");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
