#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_bcache_request_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_request_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_request_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_request_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_request_end, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_request_end, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_request_end, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_request_end, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_bypass_congested, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_bypass_congested, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_bypass_congested, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_bypass_congested, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_read_retry, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_read_retry, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_read_retry, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_read_retry, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_cache_insert, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_cache_insert, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_cache_insert, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_cache_insert, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_free, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_free, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_free, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_free, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_end, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_end, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_end, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_end, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_copy, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_copy, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_copy, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_copy, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_split, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_split, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_split, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_split, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_set_root, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_set_root, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_set_root, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_set_root, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_invalidate, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_invalidate, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_invalidate, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_invalidate, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_writeback, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_writeback, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_writeback, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_writeback, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_writeback_collision, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_writeback_collision, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_writeback_collision, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_writeback_collision, "_gpl", "");

SYMBOL_CRC(__tracepoint_bcache_request_start, 0xb8da8c00, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_start, 0x3706295f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_start, 0x509e9a06, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_request_start, 0xd7a7fbec, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_request_end, 0x0d7753f8, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_end, 0x7d5ac975, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_end, 0x76ca68a3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_request_end, 0xfce76b1e, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_sequential, 0x68a3841c, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_sequential, 0xaf6f6823, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_sequential, 0x6fa7e449, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_bypass_sequential, 0xf57f81ae, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_congested, 0x0570626b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_congested, 0x9fac80ae, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_congested, 0x6cd42e6f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_bypass_congested, 0x7f252e00, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read, 0x05c35ebd, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read, 0x249ed249, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read, 0x7d8af479, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_read, 0xedf90bb3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_write, 0x8a2829d4, "_gpl");
SYMBOL_CRC(__traceiter_bcache_write, 0x857ea71c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_write, 0x165966d7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_write, 0x5dd80bd5, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read_retry, 0x8925ce16, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read_retry, 0x2803434c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read_retry, 0x85353bdc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_read_retry, 0x787810b2, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_cache_insert, 0x8d710de4, "_gpl");
SYMBOL_CRC(__traceiter_bcache_cache_insert, 0xb5a62a8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_cache_insert, 0x71b338a3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_cache_insert, 0x752f7fa4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_replay_key, 0xe4f01435, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_replay_key, 0x2766fb04, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_replay_key, 0xfff6b52e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_replay_key, 0xb7e5379d, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_write, 0xaeea9de5, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_write, 0xa5e5537c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_write, 0x46ae8be3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_write, 0x287090dc, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_full, 0x76acb6c8, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_full, 0x3edaf801, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_full, 0x8a6e838f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_full, 0xdb0682eb, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_entry_full, 0x0e575fdd, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_entry_full, 0x13b690b7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_entry_full, 0x1551fec6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_entry_full, 0xf7a5edc7, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_cache_cannibalize, 0x4f8075ef, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_cache_cannibalize, 0xc3931d7f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_cache_cannibalize, 0x00dc1a34, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_cache_cannibalize, 0x822db771, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_read, 0xda107888, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_read, 0xfb3e1503, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_read, 0xd6008d42, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_read, 0xce451ad8, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_write, 0xdc443ed1, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_write, 0xb82465f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_write, 0xa7f9058a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_write, 0x629c9180, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc, 0xadf8c20e, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc, 0x730e8204, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc, 0xc45c8e0a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_alloc, 0x21b87a42, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc_fail, 0xdf94d66e, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc_fail, 0x96b8a1c9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc_fail, 0x9198b279, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_alloc_fail, 0x297e0da3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_free, 0x882d07ff, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_free, 0x9315743e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_free, 0x2aa3fd6c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_free, 0x817ad796, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_gc_coalesce, 0x65dfd0f8, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_gc_coalesce, 0x1c599ebe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_gc_coalesce, 0x62dbb0ad, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_gc_coalesce, 0xa15bd7c4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_start, 0x9735011f, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_start, 0xff4b6939, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_start, 0xc590adba, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_start, 0x6677ebf0, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_end, 0x9988a46d, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_end, 0xef7b6fa6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_end, 0x001d8498, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_end, 0xd7a376b3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy, 0x9d5c2570, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy, 0xad6440b4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy, 0x5012b6c3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_copy, 0x36f317a4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy_collision, 0x1a8d89d9, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy_collision, 0xec29e22a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy_collision, 0x1d89e98c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_copy_collision, 0xd30206ff, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_insert_key, 0x983ddd9d, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_insert_key, 0x0979ee4e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_insert_key, 0xf1999199, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_insert_key, 0x972aa384, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_split, 0x47f8e339, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_split, 0x550567dc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_split, 0x2e5caf3d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_split, 0x9d28d153, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_compact, 0x58f9982b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_compact, 0x397a788b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_compact, 0x43ff3930, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_compact, 0xa784e073, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_set_root, 0x218f6a26, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_set_root, 0x113e9d58, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_set_root, 0xc8048b05, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_set_root, 0x25cacb14, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_invalidate, 0x3494b5d7, "_gpl");
SYMBOL_CRC(__traceiter_bcache_invalidate, 0x3518b09f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_invalidate, 0x3884401d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_invalidate, 0xc73e0c99, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_alloc_fail, 0x3d511221, "_gpl");
SYMBOL_CRC(__traceiter_bcache_alloc_fail, 0x2f542e81, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_alloc_fail, 0x3141e7eb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_alloc_fail, 0x300c8ff4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback, 0xb98134bb, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback, 0x17a83e40, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback, 0x1f6fc670, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_writeback, 0xfb767f16, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback_collision, 0x878354ff, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback_collision, 0x64e39418, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback_collision, 0x0dfd9bb2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_writeback_collision, 0x4543b49b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x8b95eddb, "kobject_uevent_env" },
	{ 0x5cb9c7e, "bio_put" },
	{ 0xa012d9f8, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0xd8949df7, "__bio_advance" },
	{ 0x57bc19d2, "down_write" },
	{ 0x56680322, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe1d19bf, "sysfs_remove_link" },
	{ 0xd4746e4e, "blkdev_get_by_dev" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xef463bd7, "set_capacity" },
	{ 0xcf068349, "submit_bio_noacct" },
	{ 0x6626afca, "down" },
	{ 0x74e7aab5, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xea7d18b0, "blkdev_get_by_path" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xf6a86a1e, "zero_fill_bio_iter" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcd43c5db, "del_gendisk" },
	{ 0x6c0527d9, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf17253b6, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xa05bdd45, "read_cache_page_gfp" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe3c9892b, "bpf_trace_run1" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x6b0f1002, "bd_unlink_disk_holder" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa1c3d0bf, "bio_init" },
	{ 0x62a83194, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf281916a, "bio_reset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xa3471895, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x833bddf2, "bio_free_pages" },
	{ 0x5925c4b4, "kthread_create_on_node" },
	{ 0x35d39203, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x8c1f51a7, "kobject_del" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x32fd0f45, "bioset_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2720c8a1, "alloc_pages" },
	{ 0x98b5e991, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69b0da09, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd755c307, "bd_link_disk_holder" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xc29bf967, "strspn" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8fc728cf, "bio_alloc_bioset" },
	{ 0x5ab61a4f, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x95110aff, "kobject_get" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x3db28951, "kmem_cache_destroy" },
	{ 0xf2b49943, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0xfe643330, "blkdev_issue_discard" },
	{ 0x3e8f5820, "kobject_put" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x9cb8feec, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1e3b1ec, "set_disk_ro" },
	{ 0x9fce503b, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf3c2f380, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x39623a31, "bpf_trace_run4" },
	{ 0xca5e5f3, "param_ops_uint" },
	{ 0x8828e5a9, "blk_queue_logical_block_size" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7e56a4e, "simple_strtoll" },
	{ 0xb946ab97, "bio_copy_data" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x3ebb23c7, "set_blocksize" },
	{ 0xa5de95a6, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa342639f, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0xd4bb4534, "bio_init_clone" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf2a6966, "up" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x2976d44a, "kobject_init" },
	{ 0x3b452eab, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x6c9e19fa, "blk_queue_write_cache" },
	{ 0x74e8ed8b, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfde3ac69, "__module_get" },
	{ 0x28efbc3a, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5b8ac559, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xddbc009c, "wake_up_process" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe2125ee2, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfdbd05eb, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xb4ff8b49, "fs_kobj" },
	{ 0xa916b694, "strnlen" },
	{ 0x4ec0b05c, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xb63684e9, "unregister_shrinker" },
	{ 0xbb47f88c, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa4f47fdb, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x87af0eff, "submit_bio" },
	{ 0x21d8c3f8, "module_put" },
	{ 0xa369044e, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x79ab0c76, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6d1a320b, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ED83858DF40EEFF71274258");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
