#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0xa41c47e5, "devm_cci_regmap_init_i2c" },
	{ 0x907b066b, "__dev_fwnode" },
	{ 0xe793b334, "fwnode_graph_get_next_endpoint" },
	{ 0xdce5eeef, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x7d99a2bc, "fwnode_handle_put" },
	{ 0xcd2151aa, "v4l2_fwnode_endpoint_free" },
	{ 0xd91c5e0d, "devm_clk_get" },
	{ 0x84c16480, "devm_regulator_bulk_get" },
	{ 0x38ec9785, "devm_gpiod_get_optional" },
	{ 0x8741f3fc, "device_property_read_u32_array" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0x172e47ea, "dev_err_probe" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x78d23099, "__pm_runtime_set_status" },
	{ 0xdadebfaa, "pm_runtime_enable" },
	{ 0x3b78d373, "pm_runtime_set_autosuspend_delay" },
	{ 0xbdcfffed, "__pm_runtime_use_autosuspend" },
	{ 0x1341e29, "v4l2_i2c_subdev_init" },
	{ 0xe146eae2, "media_entity_pads_init" },
	{ 0xcd66b20, "v4l2_fwnode_device_parse" },
	{ 0x837c4b1f, "v4l2_ctrl_handler_init_class" },
	{ 0xbeec93b6, "v4l2_ctrl_new_std" },
	{ 0xd9915df4, "v4l2_ctrl_new_int_menu" },
	{ 0x67e64185, "v4l2_ctrl_new_std_menu_items" },
	{ 0xc4e24c24, "v4l2_ctrl_cluster" },
	{ 0x7fb54d3, "v4l2_ctrl_new_fwnode_properties" },
	{ 0xa2165bc2, "__v4l2_subdev_init_finalize" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x88608d12, "v4l2_i2c_subdev_set_name" },
	{ 0x74ed403f, "v4l2_async_register_subdev" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb7b69d20, "__pm_runtime_suspend" },
	{ 0x467c6775, "v4l2_ctrl_handler_free" },
	{ 0x7e2b3208, "__pm_runtime_disable" },
	{ 0x21a744a7, "regulator_bulk_disable" },
	{ 0xdf9d6db4, "v4l2_subdev_cleanup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbed9e63e, "cci_write" },
	{ 0xe2822320, "__v4l2_find_nearest_size" },
	{ 0x61a8b0fc, "pm_runtime_get_if_active" },
	{ 0xcf2b11fb, "v4l2_async_unregister_subdev" },
	{ 0x89bb9e9c, "__pm_runtime_resume" },
	{ 0x9bf4bfe3, "cci_multi_reg_write" },
	{ 0xc2ecf9ce, "__v4l2_ctrl_handler_setup" },
	{ 0xf9a482f9, "msleep" },
	{ 0xac1e8bda, "__v4l2_ctrl_grab" },
	{ 0x9985b005, "__pm_runtime_idle" },
	{ 0x4bf6dedf, "v4l2_subdev_link_validate" },
	{ 0x962d6b0c, "v4l2_subdev_get_fmt" },
	{ 0x725ce120, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0x76e6b12e, "v4l2_event_subdev_unsubscribe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x148c66ff, "i2c_register_driver" },
	{ 0x568be617, "__v4l2_ctrl_s_ctrl" },
	{ 0xf9957382, "__v4l2_ctrl_modify_range" },
	{ 0xe7727175, "i2c_del_driver" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0xbc9b2038, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe13ee2ee, "gpiod_set_value_cansleep" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "v4l2-cci,v4l2-fwnode,videodev,mc,v4l2-async");

MODULE_ALIAS("of:N*T*Csony,imx290");
MODULE_ALIAS("of:N*T*Csony,imx290C*");
MODULE_ALIAS("of:N*T*Csony,imx290lqr");
MODULE_ALIAS("of:N*T*Csony,imx290lqrC*");
MODULE_ALIAS("of:N*T*Csony,imx290llr");
MODULE_ALIAS("of:N*T*Csony,imx290llrC*");
MODULE_ALIAS("of:N*T*Csony,imx327lqr");
MODULE_ALIAS("of:N*T*Csony,imx327lqrC*");

MODULE_INFO(srcversion, "0EE974D2E402C6918D50EA0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
