#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0x1feeb3cf, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0x1820fb3d, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0xdbbe8e53, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0x9aa708d8, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0xa8134619, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0xb2a54a61, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0xd9c5fa18, "");
SYMBOL_CRC(mptscsih_remove, 0x82eecaa2, "");
SYMBOL_CRC(mptscsih_shutdown, 0xd4f1849e, "");
SYMBOL_CRC(mptscsih_suspend, 0xe8e2c4d9, "");
SYMBOL_CRC(mptscsih_resume, 0x32192864, "");
SYMBOL_CRC(mptscsih_show_info, 0x29e24777, "");
SYMBOL_CRC(mptscsih_info, 0x69de4364, "");
SYMBOL_CRC(mptscsih_qcmd, 0x2126cd9a, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x10553d57, "");
SYMBOL_CRC(mptscsih_slave_configure, 0xf39e27ba, "");
SYMBOL_CRC(mptscsih_abort, 0x246a9610, "");
SYMBOL_CRC(mptscsih_dev_reset, 0x838559a4, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x2bc24e41, "");
SYMBOL_CRC(mptscsih_host_reset, 0xd6c93689, "");
SYMBOL_CRC(mptscsih_bios_param, 0xe1965e99, "");
SYMBOL_CRC(mptscsih_io_done, 0x73cb0ef5, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0xd68c76af, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0x752a7e5d, "");
SYMBOL_CRC(mptscsih_event_process, 0x7fb6a153, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0x5cdcc206, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x2771d268, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x122c3a7e, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x3a2863f8, "scsi_host_put" },
	{ 0xdc425516, "mpt_detach" },
	{ 0x8716a3bd, "scsi_block_requests" },
	{ 0xd8a48589, "mpt_suspend" },
	{ 0xef24d9b8, "mpt_resume" },
	{ 0x615ad53d, "scsi_unblock_requests" },
	{ 0xbb767e81, "mpt_print_ioc_summary" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0x897e8b58, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cfc7c93, "mpt_put_msg_frame" },
	{ 0x758c930, "mpt_free_msg_frame" },
	{ 0x847c80e0, "scsi_dma_map" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xdcd407c2, "mpt_GetIocState" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x880b6efe, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1cb83de7, "mpt_put_msg_frame_hi_pri" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe512bb65, "mpt_send_handshake_request" },
	{ 0xae70f783, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0xb1f01922, "mpt_HardResetHandler" },
	{ 0xc3eedf55, "mpt_Soft_Hard_ResetHandler" },
	{ 0xeb49704a, "scsi_print_command" },
	{ 0xa6257a2f, "complete" },
	{ 0xe69526a7, "scsi_change_queue_depth" },
	{ 0x8a286ed5, "blk_queue_dma_alignment" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe05236, "mpt_raid_phys_disk_get_num_paths" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9feecf7, "mpt_raid_phys_disk_pg1" },
	{ 0x8bca193f, "scsi_dma_unmap" },
	{ 0xa5fa6e8, "scsi_done" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0xff22faf1, "mpt_halt_firmware" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,mptbase,scsi_common");


MODULE_INFO(srcversion, "20BAD7D3CD0B8FCB0C5EFE5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
