#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x9ba065a1, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xf86a7a31, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x5dbca06c, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x8498d569, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x4bd0360e, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x80d8d865, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x67646d94, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x64c8b2fa, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xb0420e89, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf51f29b7, "free_candev" },
	{ 0x3387fde2, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xcabdb8e7, "can_get_echo_skb" },
	{ 0x8e3e1fb5, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5d5859cd, "netdev_warn" },
	{ 0x9f928c6b, "unregister_candev" },
	{ 0x929d0695, "can_rx_offload_del" },
	{ 0xd91c5e0d, "devm_clk_get" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x89bb9e9c, "__pm_runtime_resume" },
	{ 0x9985b005, "__pm_runtime_idle" },
	{ 0x914d0fa3, "pinctrl_pm_select_default_state" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x40ed09c, "netif_device_attach" },
	{ 0x280b045f, "register_candev" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf91083db, "can_rx_offload_add_manual" },
	{ 0x5e184880, "netif_napi_add_weight" },
	{ 0xec35de33, "phy_power_on" },
	{ 0xfca5f350, "open_candev" },
	{ 0x50c3d795, "can_rx_offload_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1efc89f4, "napi_disable" },
	{ 0x95b572ad, "close_candev" },
	{ 0x85293c93, "phy_power_off" },
	{ 0xadf2e647, "napi_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7ab5f812, "netdev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3802b01e, "netif_tx_wake_queue" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x392115c, "pinctrl_pm_select_sleep_state" },
	{ 0x328dcde8, "netif_device_detach" },
	{ 0x17a21ea5, "alloc_can_err_skb" },
	{ 0xde429c37, "can_rx_offload_queue_timestamp" },
	{ 0xda3ce5b6, "netif_receive_skb" },
	{ 0x8cd066ea, "__dynamic_netdev_dbg" },
	{ 0xc4d03f11, "can_bus_off" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x7eb5ca6a, "can_put_echo_skb" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0xd199268b, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9f607bf4, "netdev_printk" },
	{ 0xa32be90f, "alloc_canfd_skb" },
	{ 0xde9b1f73, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xb8ea6e8f, "napi_complete_done" },
	{ 0xbc7215bd, "napi_schedule_prep" },
	{ 0xf7591557, "__napi_schedule" },
	{ 0x4d7cc82, "can_rx_offload_threaded_irq_finish" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x76e544bd, "ethtool_op_get_ts_info" },
	{ 0xc70c4bcf, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x907b066b, "__dev_fwnode" },
	{ 0xef116cf5, "fwnode_property_read_u32_array" },
	{ 0x9a77d08a, "alloc_candev_mqs" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "3112BCAE1BD65D929C6D7E4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
