#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x1c207cf0, "_dev_notice" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1efc89f4, "napi_disable" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe63d0f3d, "pci_disable_msi" },
	{ 0x328dcde8, "netif_device_detach" },
	{ 0x644b2e35, "pci_wake_from_d3" },
	{ 0x2d7cd983, "pci_set_power_state" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xbc7215bd, "napi_schedule_prep" },
	{ 0xf7591557, "__napi_schedule" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd16ec16, "skb_put" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0xda3ce5b6, "netif_receive_skb" },
	{ 0xe25ed6a9, "dev_kfree_skb_irq_reason" },
	{ 0xb8ea6e8f, "napi_complete_done" },
	{ 0x3802b01e, "netif_tx_wake_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0x8929394c, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xadf2e647, "napi_enable" },
	{ 0x40ed09c, "netif_device_attach" },
	{ 0x340dc3a9, "eth_validate_addr" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0xbe9d43d1, "param_array_ops" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe22b94c3, "__pci_register_driver" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5bba9cfd, "__netdev_alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xeaa12238, "consume_skb" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0xfb578fc5, "memset" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0xcbe3de9e, "unregister_netdev" },
	{ 0x3469c835, "pci_iounmap" },
	{ 0xfa4a0fd3, "pci_release_regions" },
	{ 0x425a99c0, "free_netdev" },
	{ 0xa7a9433e, "pci_disable_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0x65c167db, "device_set_wakeup_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x96dee115, "generic_mii_ioctl" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xfc0cad49, "pci_unregister_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x79165f66, "_dev_printk" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0x185c24b4, "___pskb_trim" },
	{ 0x1b66d639, "pci_enable_device" },
	{ 0xb5773b04, "dma_set_mask" },
	{ 0x220e9095, "pci_request_regions" },
	{ 0x52f1d820, "pci_set_master" },
	{ 0x897c2009, "alloc_etherdev_mqs" },
	{ 0x7292db65, "pci_iomap" },
	{ 0x5e184880, "netif_napi_add_weight" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f05fc21, "register_netdev" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001969d00001048sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A2385B5E1B32DF33EA10220");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
