#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x21d82afe, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xc92cf9b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x7f769a33, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0xa8f05e36, "pci_read_config_word" },
	{ 0xadf2e647, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x11d28fd1, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc85baf03, "dcbnl_ieee_notify" },
	{ 0x7efc9d71, "xsk_uses_need_wakeup" },
	{ 0x9f05fc21, "register_netdev" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x425a99c0, "free_netdev" },
	{ 0xf0088ea3, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0x51f8bf63, "eth_platform_get_mac_address" },
	{ 0x1909f1a9, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd11b0800, "__SCK__tp_func_xdp_exception" },
	{ 0x297509c6, "netif_tx_stop_all_queues" },
	{ 0xfa3de38a, "pci_restore_state" },
	{ 0x3802b01e, "netif_tx_wake_queue" },
	{ 0x3bcb6aac, "device_del" },
	{ 0x21d3d53e, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5121497f, "dma_sync_single_for_cpu" },
	{ 0x5a554b30, "dcb_getapp" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xaaf7b967, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x54768f26, "ptp_clock_event" },
	{ 0x2ace6e5, "netif_schedule_queue" },
	{ 0x106becbc, "__alloc_pages" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x52f1d820, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2a87490d, "flow_rule_match_ipv6_addrs" },
	{ 0xea7210ba, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcfe4c754, "ptp_clock_unregister" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0x93a1252b, "xp_dma_unmap" },
	{ 0x8cd066ea, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe7431570, "netdev_unbind_sb_channel" },
	{ 0xbc191ca5, "dma_set_coherent_mask" },
	{ 0x35d39203, "bpf_trace_run3" },
	{ 0x542203a4, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe4bdc48d, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x223c54fb, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0x29135d9a, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc829961a, "netdev_reset_tc" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc90fd945, "call_netdevice_notifiers" },
	{ 0x5f00bd38, "xp_set_rxq_info" },
	{ 0xd1396003, "flow_rule_match_vlan" },
	{ 0x4a2904de, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x327c9450, "napi_build_skb" },
	{ 0x974437ae, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0x1be9f76e, "__hw_addr_sync_dev" },
	{ 0x43629005, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0x8d2c929, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xa7d960d9, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x80c33545, "dev_uc_add_excl" },
	{ 0xa7a9433e, "pci_disable_device" },
	{ 0x680a647f, "xp_free" },
	{ 0x47790d3b, "dev_mc_add_excl" },
	{ 0x4b7c06c1, "dev_uc_add" },
	{ 0xb5773b04, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa1ccefd7, "_dev_crit" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x4180edfb, "xdp_master_redirect" },
	{ 0x439b715c, "__napi_schedule_irqoff" },
	{ 0xbc7215bd, "napi_schedule_prep" },
	{ 0x4993e702, "napi_consume_skb" },
	{ 0x12f83e20, "pci_read_config_byte" },
	{ 0x46169fb7, "xp_alloc_batch" },
	{ 0x1efc89f4, "napi_disable" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0x3a089f39, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa79d0295, "flow_rule_match_control" },
	{ 0x5a1c216a, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x1fa30070, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0x76e544bd, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x581edb9b, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x11a32852, "__tracepoint_xdp_exception" },
	{ 0xebba9a20, "xsk_tx_completed" },
	{ 0x897c2009, "alloc_etherdev_mqs" },
	{ 0xf32be83c, "pci_save_state" },
	{ 0x3e34a0c7, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xebe4b68e, "pcie_capability_read_word" },
	{ 0x65c167db, "device_set_wakeup_enable" },
	{ 0xfaedd36c, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x79e65f44, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd57f9c60, "pci_find_ext_capability" },
	{ 0x78728c7b, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x16e65fd7, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9596475, "skb_copy_bits" },
	{ 0xca5e5f3, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd5c04d14, "pci_request_selected_regions" },
	{ 0x9b1db93f, "pci_release_selected_regions" },
	{ 0x644b2e35, "pci_wake_from_d3" },
	{ 0xddddfd86, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe76a3b1a, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe145e57e, "auxiliary_device_init" },
	{ 0xea60fc9c, "pci_enable_device_mem" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5e184880, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1470bf31, "xsk_tx_peek_release_desc_batch" },
	{ 0xadfbd9bd, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0x33c4fb9, "bpf_warn_invalid_xdp_action" },
	{ 0x2056abed, "ndo_dflt_bridge_getlink" },
	{ 0xcbe3de9e, "unregister_netdev" },
	{ 0xd35e56c4, "xdp_convert_zc_to_xdp_frame" },
	{ 0xf1adb4cc, "xdp_features_set_redirect_target" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x97bca469, "pci_get_device" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xe22b94c3, "__pci_register_driver" },
	{ 0xb11ca7b0, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xb500752b, "pci_num_vf" },
	{ 0x89c09efc, "flow_rule_match_eth_addrs" },
	{ 0xb57ccd2, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe63d0f3d, "pci_disable_msi" },
	{ 0xafe65933, "ptp_clock_index" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x6b03d794, "xdp_do_redirect" },
	{ 0x340dc3a9, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x5d5859cd, "netdev_warn" },
	{ 0x52cc6cf5, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2d7cd983, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x8abb5111, "flow_rule_match_ipv4_addrs" },
	{ 0xf2f085c4, "__netif_napi_del" },
	{ 0xe1da34aa, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xfc0cad49, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x7ab5f812, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0xd147cda9, "dev_driver_string" },
	{ 0x4bb8d3f8, "pci_restore_msi_state" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0xb0c126e2, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x189cca19, "ptp_find_pin" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xb8ea6e8f, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc38b5fc4, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfc5a5212, "put_device" },
	{ 0xf7591557, "__napi_schedule" },
	{ 0x7d04e835, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1162379, "pci_enable_msix_range" },
	{ 0x67d19ada, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa4f47fdb, "__free_pages" },
	{ 0x842ab0b8, "__hw_addr_unsync_dev" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x1100d7a8, "napi_gro_receive" },
	{ 0x3293df4a, "xdp_features_clear_redirect_target" },
	{ 0xdfabcaa6, "pci_select_bars" },
	{ 0x2849ecf1, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbbb3b080, "xp_raw_get_dma" },
	{ 0xcf3671cd, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf44e136d, "xdp_rxq_info_is_reg" },
	{ 0x7a3a5eb1, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa58ff253, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8929394c, "pci_enable_msi" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x3d483f1c, "softnet_data" },
	{ 0xeb0b5200, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8246e822, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x63101fbd, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0xbf2ebbb8, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x251d247, "netif_set_real_num_tx_queues" },
	{ 0x71c82335, "__auxiliary_device_add" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2EBA6962139C71F20C04085");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
