#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iavf_register_client, "", "");
KSYMTAB_FUNC(iavf_unregister_client, "", "");

SYMBOL_CRC(iavf_register_client, 0xba5d93b2, "");
SYMBOL_CRC(iavf_unregister_client, 0xd45cf71f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc38b5fc4, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7d04e835, "ipv6_skip_exthdr" },
	{ 0x1162379, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x328dcde8, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa4f47fdb, "__free_pages" },
	{ 0x842ab0b8, "__hw_addr_unsync_dev" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x1100d7a8, "napi_gro_receive" },
	{ 0x40ed09c, "netif_device_attach" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xcf3671cd, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7a3a5eb1, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa58ff253, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x3d483f1c, "softnet_data" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x251d247, "netif_set_real_num_tx_queues" },
	{ 0x7f769a33, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0xadf2e647, "napi_enable" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0x425a99c0, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x297509c6, "netif_tx_stop_all_queues" },
	{ 0x3802b01e, "netif_tx_wake_queue" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5121497f, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xaaf7b967, "flow_rule_match_ports" },
	{ 0x2ace6e5, "netif_schedule_queue" },
	{ 0x106becbc, "__alloc_pages" },
	{ 0x52f1d820, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xea7210ba, "netdev_set_tc_queue" },
	{ 0x2a87490d, "flow_rule_match_ipv6_addrs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x8cd066ea, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc191ca5, "dma_set_coherent_mask" },
	{ 0x35d39203, "bpf_trace_run3" },
	{ 0x542203a4, "__page_frag_cache_drain" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc829961a, "netdev_reset_tc" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfa4a0fd3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd1396003, "flow_rule_match_vlan" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x327c9450, "napi_build_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1be9f76e, "__hw_addr_sync_dev" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0x8d2c929, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xa7d960d9, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa7a9433e, "pci_disable_device" },
	{ 0xb5773b04, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x439b715c, "__napi_schedule_irqoff" },
	{ 0xbc7215bd, "napi_schedule_prep" },
	{ 0x4993e702, "napi_consume_skb" },
	{ 0x12f83e20, "pci_read_config_byte" },
	{ 0x1efc89f4, "napi_disable" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa79d0295, "flow_rule_match_control" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x581edb9b, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3c5816c4, "register_netdevice" },
	{ 0x897c2009, "alloc_etherdev_mqs" },
	{ 0xf32be83c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfaedd36c, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x79e65f44, "flow_rule_match_enc_keyid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9596475, "skb_copy_bits" },
	{ 0x1b66d639, "pci_enable_device" },
	{ 0xddddfd86, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe76a3b1a, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x76d4e8a3, "netdev_update_features" },
	{ 0xeaa12238, "consume_skb" },
	{ 0x5e184880, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xe22b94c3, "__pci_register_driver" },
	{ 0xb11ca7b0, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x89c09efc, "flow_rule_match_eth_addrs" },
	{ 0xb57ccd2, "skb_add_rx_frag" },
	{ 0x220e9095, "pci_request_regions" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x340dc3a9, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5d5859cd, "netdev_warn" },
	{ 0x2d7cd983, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x8abb5111, "flow_rule_match_ipv4_addrs" },
	{ 0xf2f085c4, "__netif_napi_del" },
	{ 0xe4a0c828, "unregister_netdevice_queue" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfc0cad49, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x7ab5f812, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0xd147cda9, "dev_driver_string" },
	{ 0x4bb8d3f8, "pci_restore_msi_state" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xb8ea6e8f, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d0000154Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001571sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001889sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B985ED50E09D348565419A4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
