#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_lock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_set_basic, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x1d8bef0e, "");
SYMBOL_CRC(ocelot_mact_forget, 0xc37265b0, "");
SYMBOL_CRC(ocelot_mact_lookup, 0xbedec412, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xeeff04de, "");
SYMBOL_CRC(ocelot_pll5_init, 0x207f7ed3, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x93842899, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0xd4b4f746, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x6b8acfe0, "");
SYMBOL_CRC(ocelot_vlan_add, 0x1294a835, "");
SYMBOL_CRC(ocelot_vlan_del, 0xe6c642dd, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xb18a051d, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xc41c3cb7, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xe0c719f4, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x76e8b9b5, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x38df923e, "");
SYMBOL_CRC(ocelot_lock_inj_grp, 0xd28d8b0b, "_gpl");
SYMBOL_CRC(ocelot_unlock_inj_grp, 0x668498d8, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp, 0x3b938d08, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp, 0x8f9a9edb, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp_bh, 0x63842752, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp_bh, 0xf47855b9, "_gpl");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x2cd2d195, "");
SYMBOL_CRC(ocelot_can_inject, 0x562ebdaa, "");
SYMBOL_CRC(ocelot_ifh_set_basic, 0xfb8bf2fe, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x85ac7e50, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xd7e4687e, "");
SYMBOL_CRC(ocelot_fdb_add, 0x201c5f39, "");
SYMBOL_CRC(ocelot_fdb_del, 0xde0985cc, "");
SYMBOL_CRC(ocelot_mact_flush, 0x3643620e, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x2364e6ea, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x0ec04fde, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x0ec67392, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x39d52078, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xb239db73, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x52a9d3b3, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x175219c3, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x615fbe24, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x05951c15, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x1d1becfd, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x03f0e02b, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x74a6129a, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0xc69c2e58, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x20d566eb, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0xfeebafdc, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0xb4fe3943, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x1d786d5d, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x10e196d5, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x6f92fd95, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x332810d3, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xa9290292, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0xc71c416f, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x440953db, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x1f63d1c8, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xb94fba23, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x22a8ccae, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xad32c090, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x7a98e7b2, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x230e9d79, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0xad4c8f0b, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0xeaeb8cdc, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xab8dd49d, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x05dc332a, "");
SYMBOL_CRC(ocelot_reset, 0xb1fcf54c, "");
SYMBOL_CRC(ocelot_init, 0xdbd95f25, "");
SYMBOL_CRC(ocelot_deinit, 0xeb3abdda, "");
SYMBOL_CRC(ocelot_deinit_port, 0xc6178c7b, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xa7b4057f, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x5ad37723, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x457f07b8, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x87893553, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x692e3916, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x9e64ad31, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0xc476ca51, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x09c35d29, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0xa1921fc6, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0xb8ea723e, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x4e218ebe, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x4821568a, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x490df550, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0xe4b07995, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x3cd050ef, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x44b8eb19, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0xd792f233, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x355f3f85, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xb7b7d9af, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x61ec7e99, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xee5939ff, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x4c29a085, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xd6ff12c5, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x8c2c3da1, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x2845c5f3, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x75d21536, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0xb57b34bc, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x0f9eed98, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x1f957b05, "");
SYMBOL_CRC(ocelot_port_policer_del, 0xe7aa984f, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x54e1b0be, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x95d3bb89, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x12be4c95, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x6af676ff, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xe17a755e, "");
SYMBOL_CRC(ocelot_ptp_enable, 0xb1550190, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0xebf08d83, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xccbf3bfb, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x52237bc6, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x7dc6438d, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xd5eea04d, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x3bae8480, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xae3a2a16, "");
SYMBOL_CRC(ocelot_get_strings, 0xcb9e4cfb, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xeb0c7e8e, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x836044a9, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xe9507993, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xf9350cd7, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0xaf0a7792, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x707dfbb9, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x8adf994b, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0xf35192f6, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x855d53c4, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x689c78c6, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0xa5251454, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x851d3ef0, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x6f293e4a, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xeebff841, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xee411bf3, "");
SYMBOL_CRC(ocelot_mrp_del, 0x2366b45f, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0xf756410d, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0xe37beb11, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b3ee99a, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8abb5111, "flow_rule_match_ipv4_addrs" },
	{ 0x5d0e25ac, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7ab5f812, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d5948bf, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0xeb559c26, "skb_queue_purge_reason" },
	{ 0x189cca19, "ptp_find_pin" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0xaf49c371, "ethtool_aggregate_pause_stats" },
	{ 0x5eada6a0, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4e12ad0, "regmap_fields_read" },
	{ 0x3c78d057, "skb_queue_tail" },
	{ 0xcf9f026f, "regmap_field_read" },
	{ 0x63950b8b, "devm_regmap_field_alloc" },
	{ 0x7dc8c84d, "ptp_classify_raw" },
	{ 0xa58ff253, "flow_rule_match_basic" },
	{ 0xc554de06, "__dev_get_by_index" },
	{ 0x9609f566, "devm_kfree" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x63101fbd, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x251d247, "netif_set_real_num_tx_queues" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0x4ec2cc9b, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x97f4f297, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xaaf7b967, "flow_rule_match_ports" },
	{ 0xfae8e82b, "__devm_regmap_init_mmio_clk" },
	{ 0x5aa92165, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xea7210ba, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcfe4c754, "ptp_clock_unregister" },
	{ 0x5bba9cfd, "__netdev_alloc_skb" },
	{ 0x32e29cb8, "of_phy_get" },
	{ 0xead1d7b7, "br_vlan_get_pvid_rcu" },
	{ 0x3d2ff58a, "phy_set_mode_ext" },
	{ 0xc829961a, "netdev_reset_tc" },
	{ 0x1cfe4353, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x436d9e1b, "devm_ioremap_resource" },
	{ 0x6e460129, "ethtool_aggregate_rmon_stats" },
	{ 0xd1396003, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaf2d5270, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83b865a8, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8d2c929, "netdev_set_num_tc" },
	{ 0x63ff3de3, "regmap_update_bits_base" },
	{ 0x172e47ea, "dev_err_probe" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0xcc076086, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa79d0295, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa100b951, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7cfd8b4b, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0xd16ec16, "skb_put" },
	{ 0xddddfd86, "skb_tstamp_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbcf776c0, "of_phy_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2207150e, "skb_clone_sk" },
	{ 0xc1459f60, "br_vlan_get_proto" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x5dfe012f, "regmap_fields_update_bits_base" },
	{ 0x89c09efc, "flow_rule_match_eth_addrs" },
	{ 0xafe65933, "ptp_clock_index" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "D4D0062F77CF93D94C495CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
