#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xa561afd1, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x53d1c77c, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xc62711ae, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x3a609ca3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4a0c828, "unregister_netdevice_queue" },
	{ 0xa1364e33, "netdev_upper_dev_unlink" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x4b7c06c1, "dev_uc_add" },
	{ 0x16008d77, "dev_set_mtu" },
	{ 0x69779d6f, "netif_inherit_tso_max" },
	{ 0x76d4e8a3, "netdev_update_features" },
	{ 0x66c65149, "netif_stacked_transfer_operstate" },
	{ 0xc90fd945, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe5cbf2aa, "skb_clone" },
	{ 0x20992d14, "netif_rx" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xacf93ef6, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x75048009, "pv_ops" },
	{ 0x58e87b94, "__dev_queue_xmit" },
	{ 0xb7e4ab9f, "dev_forward_skb" },
	{ 0x94805de2, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x7addaef5, "__netif_rx" },
	{ 0xde172dbf, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5dc691c8, "netdev_core_stats_alloc" },
	{ 0xc554de06, "__dev_get_by_index" },
	{ 0x4b51b879, "netdev_is_rx_handler_busy" },
	{ 0xa3ad1eb6, "netdev_rx_handler_register" },
	{ 0x3c5816c4, "register_netdevice" },
	{ 0x3c53e09b, "netdev_upper_dev_link" },
	{ 0xa8145ac7, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2fe79295, "dev_uc_sync" },
	{ 0x9183d7ec, "dev_mc_sync" },
	{ 0x62ebf087, "passthru_features_check" },
	{ 0x340dc3a9, "eth_validate_addr" },
	{ 0x59b2ec2a, "ndo_dflt_fdb_dump" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0xb5ed8f2b, "eth_header_parse" },
	{ 0x1a4d7852, "eth_header_cache" },
	{ 0xddfa273b, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbd246b1c, "ether_setup" },
	{ 0x8fd242c3, "__ethtool_get_link_ksettings" },
	{ 0x1096ac06, "init_net" },
	{ 0xb18bdd13, "generic_hwtstamp_set_lower" },
	{ 0xc7581ac0, "generic_hwtstamp_get_lower" },
	{ 0xf945a923, "dev_mc_del" },
	{ 0xd02204fe, "dev_uc_del" },
	{ 0x47790d3b, "dev_mc_add_excl" },
	{ 0x80c33545, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x289612c2, "__netpoll_free" },
	{ 0xfb713c3e, "vlan_vid_del" },
	{ 0xedddffd6, "vlan_vid_add" },
	{ 0x4e2cbd85, "dev_set_allmulti" },
	{ 0xd77b958, "dev_set_promiscuity" },
	{ 0x2b843eae, "dev_uc_unsync" },
	{ 0xd3cff76a, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9249fa05, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0xbabea03b, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x832461e5, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x61823cf5, "rtnl_link_unregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xd3f38baf, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "655CB35379F9C4F79C8DD4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
