#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xcad32666, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x0ba9c061, "");
SYMBOL_CRC(team_options_register, 0x3c769b63, "");
SYMBOL_CRC(team_options_unregister, 0xe042f4c6, "");
SYMBOL_CRC(team_option_inst_set_change, 0x4ffdb46b, "");
SYMBOL_CRC(team_options_change_check, 0xe014bc18, "");
SYMBOL_CRC(team_mode_register, 0x42cc3a8d, "");
SYMBOL_CRC(team_mode_unregister, 0xeaae3ddd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x581edb9b, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0x815e3624, "__nlmsg_put" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x5d5859cd, "netdev_warn" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8fd242c3, "__ethtool_get_link_ksettings" },
	{ 0xa1364e33, "netdev_upper_dev_unlink" },
	{ 0x9249fa05, "netdev_rx_handler_unregister" },
	{ 0xc776c24f, "vlan_vids_del_by_dev" },
	{ 0x55be77c7, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6da5f82, "netdev_change_features" },
	{ 0x2cfd4471, "netdev_has_upper_dev" },
	{ 0xacf931d0, "dev_uc_flush" },
	{ 0xc34f91f3, "dev_mc_flush" },
	{ 0xc8d8e934, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6bf21324, "dev_open" },
	{ 0xf6efd1b3, "vlan_vids_add_by_dev" },
	{ 0xa3ad1eb6, "netdev_rx_handler_register" },
	{ 0xdc463833, "netdev_master_upper_dev_link" },
	{ 0x83bfd707, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0x62ebf087, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbabea03b, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6ec126a1, "netlink_unicast" },
	{ 0xa716ccf6, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4e2cbd85, "dev_set_allmulti" },
	{ 0xd77b958, "dev_set_promiscuity" },
	{ 0x2b843eae, "dev_uc_unsync" },
	{ 0xd3cff76a, "dev_mc_unsync" },
	{ 0x16008d77, "dev_set_mtu" },
	{ 0x7ab5f812, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8cd066ea, "__dynamic_netdev_dbg" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0x9aec3682, "dev_uc_sync_multiple" },
	{ 0xf8a89576, "dev_mc_sync_multiple" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb713c3e, "vlan_vid_del" },
	{ 0xedddffd6, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x21d8c3f8, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x688a3ee0, "__alloc_skb" },
	{ 0x7a659793, "genlmsg_put" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0x3c5816c4, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbd246b1c, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x832461e5, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4a8f32ff, "genl_register_family" },
	{ 0x61823cf5, "rtnl_link_unregister" },
	{ 0x8b8409f9, "genl_unregister_family" },
	{ 0xa403e022, "netlink_broadcast" },
	{ 0xe5cbf2aa, "skb_clone" },
	{ 0xeaa12238, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x58e87b94, "__dev_queue_xmit" },
	{ 0x75048009, "pv_ops" },
	{ 0x94805de2, "netpoll_send_skb" },
	{ 0xb07ecdb6, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd3f38baf, "__netpoll_setup" },
	{ 0x289612c2, "__netpoll_free" },
	{ 0xd5a43273, "nla_put" },
	{ 0x743de6f3, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc90fd945, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
