#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x479fd594, "page_pool_destroy" },
	{ 0xf1a224a3, "page_pool_create" },
	{ 0xadf2e647, "napi_enable" },
	{ 0x3293df4a, "xdp_features_clear_redirect_target" },
	{ 0xf1adb4cc, "xdp_features_set_redirect_target" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x49034f36, "__tracepoint_xdp_bulk_tx" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x872d4f7c, "__SCT__tp_func_xdp_bulk_tx" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd35e56c4, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xdd5e4cea, "rtnl_nla_parse_ifinfomsg" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49c7ad43, "rtnl_link_get_net" },
	{ 0x1921fdbf, "rtnl_create_link" },
	{ 0x69779d6f, "netif_inherit_tso_max" },
	{ 0x3c5816c4, "register_netdevice" },
	{ 0x76d4e8a3, "netdev_update_features" },
	{ 0xd262dff, "rtnl_configure_link" },
	{ 0x2c276446, "__put_net" },
	{ 0x425a99c0, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf44e136d, "xdp_rxq_info_is_reg" },
	{ 0x78728c7b, "bpf_prog_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcc990490, "page_pool_alloc_pages" },
	{ 0x327c9450, "napi_build_skb" },
	{ 0xd2f43487, "skb_copy_header" },
	{ 0x9596475, "skb_copy_bits" },
	{ 0xd16ec16, "skb_put" },
	{ 0x89acbec9, "skb_headers_offset_update" },
	{ 0xb57ccd2, "skb_add_rx_frag" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x33c4fb9, "bpf_warn_invalid_xdp_action" },
	{ 0x11a32852, "__tracepoint_xdp_exception" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6b03d794, "xdp_do_redirect" },
	{ 0xb6b56c31, "xdp_return_buff" },
	{ 0x4180edfb, "xdp_master_redirect" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0xaeb230ea, "page_pool_put_defragged_page" },
	{ 0xda3ce5b6, "netif_receive_skb" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0x60825b8a, "bpf_redirect_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb8ea6e8f, "napi_complete_done" },
	{ 0x62ebf087, "passthru_features_check" },
	{ 0x993fe8b9, "eth_mac_addr" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0x76e544bd, "ethtool_op_get_ts_info" },
	{ 0x686f3af5, "__SCK__tp_func_xdp_bulk_tx" },
	{ 0xd11b0800, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x832461e5, "rtnl_link_register" },
	{ 0xe4a0c828, "unregister_netdevice_queue" },
	{ 0x251d247, "netif_set_real_num_tx_queues" },
	{ 0x7f769a33, "netif_set_real_num_rx_queues" },
	{ 0xbd246b1c, "ether_setup" },
	{ 0x5388359b, "netif_set_tso_max_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x974437ae, "__xdp_rxq_info_reg" },
	{ 0xb0c126e2, "xdp_rxq_info_reg_mem_model" },
	{ 0x5e184880, "netif_napi_add_weight" },
	{ 0xf2f085c4, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4a2904de, "xdp_rxq_info_unreg" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x6ebed5e6, "page_pool_get_stats" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x6cbdd817, "__skb_get_hash" },
	{ 0x61823cf5, "rtnl_link_unregister" },
	{ 0x3e13e09b, "xdp_set_features_flag" },
	{ 0x8246e822, "xdp_return_frame" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xacf93ef6, "__dev_forward_skb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbc7215bd, "napi_schedule_prep" },
	{ 0xf7591557, "__napi_schedule" },
	{ 0xf834f0da, "sock_wfree" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0x7addaef5, "__netif_rx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xddddfd86, "skb_tstamp_tx" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd91dbd1f, "xdp_alloc_skb_bulk" },
	{ 0x1100d7a8, "napi_gro_receive" },
	{ 0x47576220, "__xdp_build_skb_from_frame" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x1efc89f4, "napi_disable" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C346528DBF6B467E167DE59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
