#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x251d247, "netif_set_real_num_tx_queues" },
	{ 0x7f769a33, "netif_set_real_num_rx_queues" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x859d921, "eth_prepare_mac_addr_change" },
	{ 0xdc30e41d, "eth_commit_mac_addr_change" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd1361db5, "virtqueue_enable_cb_delayed" },
	{ 0x90ac2a72, "virtqueue_add_outbuf" },
	{ 0x968894ce, "virtqueue_kick_prepare" },
	{ 0x7754a5e, "virtqueue_notify" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6b03d794, "xdp_do_redirect" },
	{ 0x33c4fb9, "bpf_warn_invalid_xdp_action" },
	{ 0x11a32852, "__tracepoint_xdp_exception" },
	{ 0x4180edfb, "xdp_master_redirect" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd35e56c4, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x8cd066ea, "__dynamic_netdev_dbg" },
	{ 0x973a2a75, "xdp_return_frame_rx_napi" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5e184880, "netif_napi_add_weight" },
	{ 0x5e2acc1a, "virtqueue_set_dma_premapped" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x3d483f1c, "softnet_data" },
	{ 0x3ad1557c, "skb_to_sgvec" },
	{ 0xddddfd86, "skb_tstamp_tx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb168d519, "virtqueue_dma_unmap_single_attrs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x98b5e991, "__folio_put" },
	{ 0x74e8ed8b, "__put_devmap_managed_page_refs" },
	{ 0x51f469d, "virtqueue_dma_sync_single_range_for_cpu" },
	{ 0x897c2009, "alloc_etherdev_mqs" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x3c5816c4, "register_netdevice" },
	{ 0x14973465, "net_failover_destroy" },
	{ 0x422101ab, "virtio_reset_device" },
	{ 0x425a99c0, "free_netdev" },
	{ 0xcbe3de9e, "unregister_netdev" },
	{ 0xc43d4a21, "net_failover_create" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x931fc4e6, "skb_page_frag_refill" },
	{ 0x142a4d99, "virtqueue_dma_map_single_attrs" },
	{ 0xf774508, "virtqueue_dma_mapping_error" },
	{ 0x5ceb1de7, "virtqueue_dma_need_sync" },
	{ 0xacd9a2eb, "virtqueue_get_buf_ctx" },
	{ 0x2720c8a1, "alloc_pages" },
	{ 0x8f44eaad, "virtqueue_add_inbuf_ctx" },
	{ 0xc5ee8520, "virtqueue_add_inbuf" },
	{ 0xadf2e647, "napi_enable" },
	{ 0xb0c126e2, "xdp_rxq_info_reg_mem_model" },
	{ 0x974437ae, "__xdp_rxq_info_reg" },
	{ 0x6dbf1065, "virtqueue_resize" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcd0bdb29, "bpf_prog_add" },
	{ 0x78728c7b, "bpf_prog_put" },
	{ 0x3293df4a, "xdp_features_clear_redirect_target" },
	{ 0x9f607bf4, "netdev_printk" },
	{ 0xf1adb4cc, "xdp_features_set_redirect_target" },
	{ 0x5d5859cd, "netdev_warn" },
	{ 0x94083754, "bpf_prog_sub" },
	{ 0x644a3a5d, "build_skb" },
	{ 0xd16ec16, "skb_put" },
	{ 0xe76a3b1a, "__napi_alloc_skb" },
	{ 0xb57ccd2, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1fa31332, "virtqueue_detach_unused_buf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa4f47fdb, "__free_pages" },
	{ 0x40ed09c, "netif_device_attach" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xcb243893, "__skb_flow_dissect" },
	{ 0x34dabd74, "skb_partial_csum_set" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0x1100d7a8, "napi_gro_receive" },
	{ 0x61c2a848, "skb_coalesce_rx_frag" },
	{ 0x122c3a7e, "_printk" },
	{ 0x688a3ee0, "__alloc_skb" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x62ebf087, "passthru_features_check" },
	{ 0x340dc3a9, "eth_validate_addr" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0x76e544bd, "ethtool_op_get_ts_info" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0xd11b0800, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4993e702, "napi_consume_skb" },
	{ 0x5c33df25, "virtqueue_get_buf" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8246e822, "xdp_return_frame" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7e80c67, "virtqueue_disable_cb" },
	{ 0x159f952c, "virtqueue_enable_cb_prepare" },
	{ 0xb8ea6e8f, "napi_complete_done" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x259d5805, "virtqueue_poll" },
	{ 0x3802b01e, "netif_tx_wake_queue" },
	{ 0xbc7215bd, "napi_schedule_prep" },
	{ 0xf7591557, "__napi_schedule" },
	{ 0x150843fd, "virtqueue_get_vring_size" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xf2f085c4, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0xa2761583, "ethtool_virtdev_set_link_ksettings" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x7ab5f812, "netdev_err" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xfb393154, "register_virtio_driver" },
	{ 0x8424c2a5, "unregister_virtio_driver" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1efc89f4, "napi_disable" },
	{ 0x4a2904de, "xdp_rxq_info_unreg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8671aa6d, "netif_tx_lock" },
	{ 0x328dcde8, "netif_device_detach" },
	{ 0x88f8a0e9, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0x165ca643, "__netif_set_xps_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x3cedf91a, "virtio_check_driver_offered_feature" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xde63869f, "virtqueue_add_sgs" },
	{ 0xac0acd19, "virtqueue_kick" },
	{ 0x8471a06b, "virtqueue_is_broken" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0x297509c6, "netif_tx_stop_all_queues" },
	{ 0x161e57c9, "netdev_notify_peers" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "net_failover");

MODULE_ALIAS("virtio:d00000001v*");

MODULE_INFO(srcversion, "F3257458B55A15B5A0FBD10");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
