#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x6094a7e3, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xa09bc786, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x49f735de, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xc8af1343, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x425a99c0, "free_netdev" },
	{ 0xef4bbfb2, "ip_mc_join_group" },
	{ 0x16e4abd4, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf3a86d79, "lock_sock_nested" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0x2e97aba, "nexthop_find_by_id" },
	{ 0x693f35b9, "arp_create" },
	{ 0x8fd242c3, "__ethtool_get_link_ksettings" },
	{ 0xf1510f41, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa096dbe4, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x46e00044, "netdev_adjacent_change_abort" },
	{ 0x28f63868, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2133ea60, "__iptunnel_pull_header" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0x6d2312be, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x20992d14, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x7010da69, "setup_udp_tunnel_sock" },
	{ 0x26f402a7, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x743de6f3, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8cd066ea, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c30deae, "skb_scrub_packet" },
	{ 0x1b40bf15, "nexthop_select_path" },
	{ 0x75048009, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x415f6169, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x65eb69, "neigh_destroy" },
	{ 0xb7193b13, "dst_cache_get_ip6" },
	{ 0x653d34fc, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0x788147df, "udp_tun_rx_dst" },
	{ 0x2ba39fa4, "dst_cache_set_ip6" },
	{ 0xdf22f8f6, "rtnl_notify" },
	{ 0x90becfd1, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7addaef5, "__netif_rx" },
	{ 0xe5cbf2aa, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4f3df0e1, "metadata_dst_alloc" },
	{ 0x916106cd, "dst_release" },
	{ 0x91af1c0c, "unregister_nexthop_notifier" },
	{ 0x3ebac377, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x568754f9, "udp_tunnel_notify_del_rx_port" },
	{ 0xd035c1af, "register_nexthop_notifier" },
	{ 0x2d4850ac, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xd4ed6403, "__rtnl_unregister_many" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x3fd744a7, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x581edb9b, "netdev_info" },
	{ 0xc5746706, "neigh_lookup" },
	{ 0xb85c4782, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3c5816c4, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x8327f6a2, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x703ec5b9, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9596475, "skb_copy_bits" },
	{ 0x815e3624, "__nlmsg_put" },
	{ 0x6a15e711, "netdev_adjacent_change_commit" },
	{ 0x993fe8b9, "eth_mac_addr" },
	{ 0xd16ec16, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8ee9bded, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5dd4ffc, "ip6_dst_hoplimit" },
	{ 0x1b38d8f4, "param_ops_ushort" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x5939e733, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3c8ee6, "dst_cache_set_ip4" },
	{ 0x61e8a8bc, "udp_tunnel6_xmit_skb" },
	{ 0x832461e5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x69779d6f, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x340dc3a9, "eth_validate_addr" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xcc0ff85c, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1921fdbf, "rtnl_create_link" },
	{ 0x45febdf2, "ip_route_output_flow" },
	{ 0xe4a0c828, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x57c40f0f, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbd246b1c, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x669657d1, "udp_tunnel_drop_rx_port" },
	{ 0x3c53e09b, "netdev_upper_dev_link" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0xb01513c0, "register_pernet_subsys" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x5dc691c8, "netdev_core_stats_alloc" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x688a3ee0, "__alloc_skb" },
	{ 0xb686e60e, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x959e59a0, "eth_gro_complete" },
	{ 0xf70228fb, "rtnl_set_sk_err" },
	{ 0x5d0f2db4, "eth_gro_receive" },
	{ 0xd262dff, "rtnl_configure_link" },
	{ 0x64c2e357, "skb_tunnel_check_pmtu" },
	{ 0x70c081d9, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xed028caa, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xc554de06, "__dev_get_by_index" },
	{ 0x61823cf5, "rtnl_link_unregister" },
	{ 0x6cbdd817, "__skb_get_hash" },
	{ 0x804503c3, "ipv6_stub" },
	{ 0x1b8350c7, "skb_pull" },
	{ 0x1acccf29, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x31c55bab, "dev_get_by_index_rcu" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0xc3117961, "gro_cells_receive" },
	{ 0x7673601a, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xa1364e33, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xea0993e6, "__rtnl_register_many" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "A27C777E8AB621B4606F933");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
