#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath6kl_printk, "", "");
KSYMTAB_FUNC(ath6kl_info, "", "");
KSYMTAB_FUNC(ath6kl_err, "", "");
KSYMTAB_FUNC(ath6kl_warn, "", "");
KSYMTAB_FUNC(ath6kl_read_tgt_stats, "", "");
KSYMTAB_FUNC(ath6kl_hif_rw_comp_handler, "", "");
KSYMTAB_FUNC(ath6kl_hif_intr_bh_handler, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_suspend, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_resume, "", "");
KSYMTAB_FUNC(ath6kl_stop_txrx, "", "");
KSYMTAB_FUNC(ath6kl_core_tx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_rx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_init, "", "");
KSYMTAB_FUNC(ath6kl_core_create, "", "");
KSYMTAB_FUNC(ath6kl_core_cleanup, "", "");
KSYMTAB_FUNC(ath6kl_core_destroy, "", "");

SYMBOL_CRC(ath6kl_printk, 0xb881b1a9, "");
SYMBOL_CRC(ath6kl_info, 0x3502feef, "");
SYMBOL_CRC(ath6kl_err, 0xb9a689dd, "");
SYMBOL_CRC(ath6kl_warn, 0x1354043d, "");
SYMBOL_CRC(ath6kl_read_tgt_stats, 0xebeb8aed, "");
SYMBOL_CRC(ath6kl_hif_rw_comp_handler, 0x91cfb84a, "");
SYMBOL_CRC(ath6kl_hif_intr_bh_handler, 0x8b09a5b3, "");
SYMBOL_CRC(ath6kl_cfg80211_suspend, 0xb3a6ceb8, "");
SYMBOL_CRC(ath6kl_cfg80211_resume, 0xceec3994, "");
SYMBOL_CRC(ath6kl_stop_txrx, 0x6c7bec30, "");
SYMBOL_CRC(ath6kl_core_tx_complete, 0x12e8ffd6, "");
SYMBOL_CRC(ath6kl_core_rx_complete, 0xe8bdbf6b, "");
SYMBOL_CRC(ath6kl_core_init, 0xc031ad53, "");
SYMBOL_CRC(ath6kl_core_create, 0xec92a38a, "");
SYMBOL_CRC(ath6kl_core_cleanup, 0xf267d96a, "");
SYMBOL_CRC(ath6kl_core_destroy, 0xf9f360db, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27e1dd7f, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x2ef23fa2, "cfg80211_put_bss" },
	{ 0xf424e911, "cfg80211_roamed" },
	{ 0x22d66c4e, "cfg80211_ch_switch_notify" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x47be2358, "skb_copy_expand" },
	{ 0x3c78d057, "skb_queue_tail" },
	{ 0xb06cb5fe, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x9b7dc231, "cfg80211_get_drvinfo" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x46fbc6ef, "cfg80211_ibss_joined" },
	{ 0x1b8350c7, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc054da90, "cfg80211_michael_mic_failure" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7673601a, "skb_push" },
	{ 0xfa931e2f, "cfg80211_del_sta_sinfo" },
	{ 0x48b04c0f, "wiphy_unregister" },
	{ 0x425a99c0, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0xcf47397c, "cfg80211_get_bss" },
	{ 0x3802b01e, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6051379, "cfg80211_pmksa_candidate_notify" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x20992d14, "netif_rx" },
	{ 0x5bba9cfd, "__netdev_alloc_skb" },
	{ 0x743de6f3, "skb_trim" },
	{ 0x3ae5b72f, "cfg80211_check_station_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7c5ffa18, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0xdb7a21d5, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc465e46c, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb6ef17e4, "cfg80211_conn_failed" },
	{ 0x35629f6e, "cfg80211_inform_bss_data" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6594f8a4, "cfg80211_connect_done" },
	{ 0x96f25a69, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x1f3e06f7, "cfg80211_sched_scan_results" },
	{ 0x77871d16, "cfg80211_cqm_txe_notify" },
	{ 0xc5ed6cc0, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xca5e5f3, "param_ops_uint" },
	{ 0xd16ec16, "skb_put" },
	{ 0x412aa243, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd3e74572, "cfg80211_sched_scan_stopped" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d91970f, "cfg80211_remain_on_channel_expired" },
	{ 0xa1072862, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xffb14273, "cfg80211_register_netdevice" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaca3510c, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2cbf91c4, "cfg80211_new_sta" },
	{ 0x866e065f, "netdev_set_default_ethtool_ops" },
	{ 0x6d5753c2, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbd246b1c, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0xeb559c26, "skb_queue_purge_reason" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x242e64ab, "alloc_netdev_mqs" },
	{ 0xa0a32a36, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf39d6500, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "8BFE2B4C289B8AFD2D2F070");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
