#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x1ce1d848, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x141dbe6a, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x615ad547, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x13760d50, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x7cd2fac3, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xca455772, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0xd81cea6e, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x11a4406a, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xdfdc5eeb, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x7cf3f62e, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x247de0b6, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xa452571a, "_gpl");
SYMBOL_CRC(mt76s_init, 0x30fb6eb1, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x9a0a330f, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0xdaa58712, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xdb8a8ac9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb57ccd2, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x74e8ed8b, "__put_devmap_managed_page_refs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa2837129, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0x1e0a65bf, "mt76_tx_status_check" },
	{ 0xddbc009c, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4cf343fd, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x688a3ee0, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xadcf0628, "sdio_readsb" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5a8b3955, "__SCK__tp_func_dev_irq" },
	{ 0xe4a1812f, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf17253b6, "kthread_stop" },
	{ 0x106becbc, "__alloc_pages" },
	{ 0x49111708, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10783e4, "mt76_queue_tx_complete" },
	{ 0x5925c4b4, "kthread_create_on_node" },
	{ 0x817d4be6, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb401f1ab, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x98b5e991, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcd7f3eb3, "sdio_claim_irq" },
	{ 0x5d756b85, "mt76_skb_adjust_pad" },
	{ 0x84ce3694, "sdio_enable_func" },
	{ 0x815c451e, "sdio_writesb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7ecf817c, "sdio_release_host" },
	{ 0xc3659b4b, "sdio_disable_func" },
	{ 0xc2f5b810, "sdio_set_block_size" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0xd16ec16, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe6b99ade, "sdio_claim_host" },
	{ 0xeaa12238, "consume_skb" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "AA117E2B53EB7C5F85743D4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
