#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x2bb7db70, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xc6227abd, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x858c63ad, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x094300cd, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0xec25bcd3, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x5e795bec, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xaa82bbbc, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x3644f026, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x544e2e15, "_gpl");
SYMBOL_CRC(mt7921_stop, 0xc941be26, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xd98c3ce9, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x72586993, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x539dc8ed, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x999c992d, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x1d356caa, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xad7e1606, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dae0edd, "mt76_connac2_tx_check_aggr" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0x5110be65, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0xfb6f2528, "mt76_wcid_init" },
	{ 0xddbc009c, "wake_up_process" },
	{ 0xfadc3f35, "mt76_connac_free_pending_tx_skbs" },
	{ 0xff21804, "mt792x_sta_statistics" },
	{ 0xeb559c26, "skb_queue_purge_reason" },
	{ 0x969c44f2, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x556b2c56, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b6cb962, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5a4c2025, "mt792x_get_et_sset_count" },
	{ 0x14873847, "mt76_connac_mcu_set_mac_enable" },
	{ 0x1b10a9c1, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x2a5d5d53, "mt792x_init_acpi_sar_power" },
	{ 0xb3ab0917, "mt792x_set_wakeup" },
	{ 0xd62077cf, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x3c78d057, "skb_queue_tail" },
	{ 0x27124160, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xbdd28159, "mt76_rx" },
	{ 0x157990bd, "mt792x_load_firmware" },
	{ 0x35449cc3, "mt76_connac_mcu_sched_scan_req" },
	{ 0x8e637eca, "mt792x_get_et_stats" },
	{ 0xaddd2546, "mt76_connac2_txwi_free" },
	{ 0x361023f8, "__tracepoint_lp_event" },
	{ 0xa8a54cf8, "mt76_connac_mcu_uni_add_bss" },
	{ 0x1b037129, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x996eb628, "wiphy_to_ieee80211_hw" },
	{ 0x96937d0d, "debugfs_attr_read" },
	{ 0xd667b659, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x154a2c93, "ieee80211_queue_delayed_work" },
	{ 0x8b318d08, "devm_kmemdup" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x1b8350c7, "skb_pull" },
	{ 0x8eafd0c4, "mt76_register_device" },
	{ 0x6f169382, "mt792x_get_stats" },
	{ 0x4cacbf99, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2f0a8d7a, "simple_attr_release" },
	{ 0x7b7b5164, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcd268613, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7673601a, "skb_push" },
	{ 0x572450b, "mt76_set_channel" },
	{ 0xca7a9562, "ieee80211_wake_queues" },
	{ 0x7b61a4ee, "mt76_mcu_send_and_get_msg" },
	{ 0x43c3bb46, "ieee80211_beacon_get_template" },
	{ 0x222df4b4, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xffb19287, "mt76_eeprom_override" },
	{ 0x6549156f, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x18095583, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9ac5c2d1, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x87c44e2b, "devm_hwmon_device_register_with_groups" },
	{ 0x55f225c5, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x886bbefc, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xb5c9b33, "mt792x_tx" },
	{ 0x270153d5, "mt792x_get_et_strings" },
	{ 0x8bc69d68, "mt76_sta_state" },
	{ 0x849f45e7, "ieee80211_ready_on_channel" },
	{ 0xcf8e54b6, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5868cc8, "devm_kasprintf" },
	{ 0xfc129b76, "cfg80211_reg_can_beacon" },
	{ 0x57ff56fc, "mt792x_remove_interface" },
	{ 0xf9f78813, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x936f0b96, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x28345be1, "mt792x_queues_read" },
	{ 0xaf4619b0, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0xb4e9f790, "mt792x_queues_acq" },
	{ 0x18a537e7, "ieee80211_sched_scan_results" },
	{ 0x4be3b27d, "ieee80211_scan_completed" },
	{ 0xcf416c14, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3d4347b7, "mt76_insert_ccmp_hdr" },
	{ 0xe99cfcbe, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0x73d963ca, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xdb5aa3dd, "mt792x_tx_stats_show" },
	{ 0x831432b2, "mt76_rx_aggr_start" },
	{ 0x64a337bc, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x6a1d5491, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6c974a7c, "mt792x_mac_init_band" },
	{ 0x5d756b85, "mt76_skb_adjust_pad" },
	{ 0x173888a8, "mt792x_init_wiphy" },
	{ 0xd6448c27, "seq_puts" },
	{ 0xbb4078f, "mt76_connac_sta_state_dp" },
	{ 0xf8c79fec, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x7d345f0f, "mt76_queues_read" },
	{ 0x92e28ce5, "mt76_sta_pre_rcu_remove" },
	{ 0x2d3a105f, "mt76_register_debugfs_fops" },
	{ 0xc27e6f56, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x191d7a87, "mt76_connac2_mac_write_txwi" },
	{ 0xe09c0fc3, "__mt76_set_tx_blocked" },
	{ 0xb160dacb, "mt76_connac_mcu_sta_ba" },
	{ 0xa8b26556, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xef13b636, "ieee80211_queue_work" },
	{ 0x851a7183, "mt792x_mac_reset_counters" },
	{ 0x4993e702, "napi_consume_skb" },
	{ 0xc6f09c8f, "__mt76_poll" },
	{ 0x8ba12d3a, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf4ffab18, "single_open" },
	{ 0x6f320e06, "mt76_connac_mcu_add_key" },
	{ 0xa2d349c8, "mt792x_unassign_vif_chanctx" },
	{ 0xcfef41a5, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x8e6ea466, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x31535245, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x873b2fe6, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xe7497a85, "ieee80211_sta_register_airtime" },
	{ 0x419623fa, "mt792x_init_wcid" },
	{ 0x4a80bbd6, "mt792x_init_acpi_sar" },
	{ 0x80e89614, "mt76_init_sar_power" },
	{ 0xd99fe358, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9511bd20, "simple_attr_open" },
	{ 0x7e3388ab, "ieee80211_iterate_interfaces" },
	{ 0x849cc2b9, "debugfs_attr_write" },
	{ 0x6e734020, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xccb96d8b, "mt76_connac_mcu_sched_scan_enable" },
	{ 0xd16ec16, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x433c13f4, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x9444618f, "mt792x_tx_worker" },
	{ 0xacd7cbb5, "mt792x_flush" },
	{ 0x7ff9a6df, "mt792x_rx_get_wcid" },
	{ 0xa1072862, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x812ab612, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x34dca5ef, "mt76_connac_mcu_set_channel_domain" },
	{ 0x6f050a8a, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1c65c68e, "mt76_release_buffered_frames" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0xa359c3b, "mt76_get_txpower" },
	{ 0x10af7138, "mt76_tx_status_skb_add" },
	{ 0x62d586b6, "mt76_connac_pm_wake" },
	{ 0xf5d7fbad, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x846f3624, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x26b0e2a7, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d357c61, "mt76_connac_mcu_chip_config" },
	{ 0xf3f5b540, "mt76_get_antenna" },
	{ 0x941259b, "mt792x_set_coverage_class" },
	{ 0xbabbec7e, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x25560b81, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0x8754f7f3, "mt76_set_stream_caps" },
	{ 0xeaff7dfb, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5a7d81c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xdb9845f7, "mt76_connac_mcu_update_arp_filter" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "D4CEA96265480E269DD717A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
