#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(s3fwrn5_probe, "", "");
KSYMTAB_FUNC(s3fwrn5_remove, "", "");
KSYMTAB_FUNC(s3fwrn5_recv_frame, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_wake, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_power_ctrl, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_mode, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_get_mode, "", "");

SYMBOL_CRC(s3fwrn5_probe, 0x0914e521, "");
SYMBOL_CRC(s3fwrn5_remove, 0x16bd1f87, "");
SYMBOL_CRC(s3fwrn5_recv_frame, 0xb55e8147, "");
SYMBOL_CRC(s3fwrn5_phy_set_wake, 0x774203fc, "");
SYMBOL_CRC(s3fwrn5_phy_power_ctrl, 0x4943f2aa, "");
SYMBOL_CRC(s3fwrn5_phy_set_mode, 0xedb12f10, "");
SYMBOL_CRC(s3fwrn5_phy_get_mode, 0xf2ab60da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99d08916, "crypto_shash_tfm_digest" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x363ddc6a, "gpiod_set_raw_value" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd13d8f8, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x688a3ee0, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8c2d7bd7, "nci_core_reset" },
	{ 0x5a2e2922, "nci_prop_cmd" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xda8b9a88, "nci_unregister_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd2de972e, "nci_core_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x85acd670, "gpio_to_desc" },
	{ 0xd044ffe1, "nci_recv_frame" },
	{ 0x754d539c, "strlen" },
	{ 0xa5597f99, "crypto_alloc_shash" },
	{ 0x2c74376d, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x168e5718, "nci_free_device" },
	{ 0xa6c2dca2, "nci_allocate_device" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbb3537fa, "nci_register_device" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0xd16ec16, "skb_put" },
	{ 0xeaa12238, "consume_skb" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "nci");


MODULE_INFO(srcversion, "17D4D3F7D2E69284C999E53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
