#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x1e3345a8, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0xa36b22d5, "");
SYMBOL_CRC(pcmcia_dev_present, 0x8b4d76e0, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0x499b0891, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x74d43b39, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0x0f4c4fe5, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0x2f219a8a, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0xb97d955e, "");
SYMBOL_CRC(pcmcia_release_window, 0x14e89b56, "");
SYMBOL_CRC(pcmcia_enable_device, 0xf6efe2e5, "");
SYMBOL_CRC(pcmcia_request_io, 0x767026c1, "");
SYMBOL_CRC(pcmcia_request_irq, 0x6943cc2b, "");
SYMBOL_CRC(pcmcia_request_window, 0xf595346a, "");
SYMBOL_CRC(pcmcia_disable_device, 0xcd109b82, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0xd666d0b7, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x42550d36, "");
SYMBOL_CRC(pcmcia_get_tuple, 0x66fea7b4, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x3111944e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6c7fe945, "driver_unregister" },
	{ 0xb01fbeb8, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x803b501f, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x42b9d98a, "device_register" },
	{ 0xbaca6091, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1b5472ae, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1c207cf0, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfd430fd5, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa6754caa, "pcmcia_put_socket" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0xc92d4443, "sysfs_remove_bin_file" },
	{ 0xa9cccb7f, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x11097c62, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x2198e2f7, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5f431e7, "dev_set_name" },
	{ 0x4e1d14b5, "driver_remove_file" },
	{ 0x205f85a0, "driver_attach" },
	{ 0x525a7a92, "device_unregister" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xcf6b81d9, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3693aabb, "get_device" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfc5a5212, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2eb2e648, "driver_create_file" },
	{ 0x2a9811dc, "bus_for_each_dev" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xdbbfc618, "pccard_register_pcmcia" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x70b608e6, "bus_unregister" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "2A3EFF7A52F960C34944BBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
