#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x1450942a, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0xc86a0bc1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x122c3a7e, "_printk" },
	{ 0x17b0f8ca, "wmi_get_event_data" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xf5cd7b32, "sysfs_notify" },
	{ 0xadae9b7a, "__platform_create_bundle" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4747a39a, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa2df36ac, "device_create_file" },
	{ 0xf4ffab18, "single_open" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xe75926dd, "platform_device_unregister" },
	{ 0x91e2c9fc, "platform_driver_unregister" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x22def93, "input_set_capability" },
	{ 0x5506c6e6, "input_event" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0xe2c76175, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xdbc9275e, "sparse_keymap_report_event" },
	{ 0x98e8f5a9, "backlight_force_update" },
	{ 0x6fa32dc, "led_classdev_notify_brightness_hw_changed" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x3afabae0, "pci_find_bus" },
	{ 0xcbf48810, "pci_bus_read_config_dword" },
	{ 0x44aa4357, "pci_get_slot" },
	{ 0x1dbfb7a2, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x9452b07b, "pci_stop_and_remove_bus_device" },
	{ 0xec8e9421, "pci_scan_single_device" },
	{ 0xb7e34446, "pci_bus_assign_resources" },
	{ 0x7489469c, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x9b9b2d30, "pci_hp_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xaab25944, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0xaf023ff1, "backlight_device_unregister" },
	{ 0x407e0456, "input_unregister_device" },
	{ 0xf0fe1805, "led_classdev_unregister" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0xfb59b67d, "sysfs_remove_group" },
	{ 0xccfd7e11, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x4c1759f6, "sysfs_create_group" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0xbd2f46d3, "input_allocate_device" },
	{ 0x39ab6c8f, "sparse_keymap_setup" },
	{ 0x7de8437f, "input_register_device" },
	{ 0x87c44e2b, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3949c43e, "led_classdev_register_ext" },
	{ 0xaf6cb1ee, "input_free_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0xfe8592c1, "i8042_install_filter" },
	{ 0xe84f7310, "battery_hook_register" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0x72e49964, "debugfs_create_x32" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0x1a37dead, "__pci_hp_register" },
	{ 0x97bca469, "pci_get_device" },
	{ 0xaa831493, "pci_read_config_dword" },
	{ 0x3b24090f, "pci_write_config_dword" },
	{ 0x367f7592, "backlight_device_register" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0xf9f78813, "seq_read" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,video,sparse-keymap,battery,ledtrig-audio");


MODULE_INFO(srcversion, "FAE0AA6658DE270A1233E5C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
