#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(set_required_buffer_size, "_gpl", "");
KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_get_event_data, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(set_required_buffer_size, 0xe431b567, "_gpl");
SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0x6edadc53, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0x1ffb3a87, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0xe7178633, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0xf18bdd75, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_get_event_data, 0x17b0f8ca, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0xb22d5ae4, "");
SYMBOL_CRC(wmi_driver_unregister, 0x4561336c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d334118, "__get_user_8" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6c7fe945, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x5adde4d2, "class_register" },
	{ 0x11097c62, "bus_register" },
	{ 0xe9e87534, "__platform_driver_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x70b608e6, "bus_unregister" },
	{ 0x639c9038, "class_unregister" },
	{ 0x6d28913a, "is_acpi_device_node" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0x525a7a92, "device_unregister" },
	{ 0xc708f1fe, "ec_write" },
	{ 0xfc4152fc, "ec_read" },
	{ 0x91e2c9fc, "platform_driver_unregister" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xafbe03d6, "misc_deregister" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x50dd1177, "device_create" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0xb1a4a38a, "device_add" },
	{ 0xfc5a5212, "put_device" },
	{ 0x5f431e7, "dev_set_name" },
	{ 0x6ad0cad6, "device_initialize" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb060d37e, "misc_register" },
	{ 0x694c4298, "compat_ptr_ioctl" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9cccb7f, "driver_register" },
	{ 0x997b9acc, "nonseekable_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "0D38838D931CB7BD054E424");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
