#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x0684b42e, "");
SYMBOL_CRC(sas_remove_host, 0x9310cbbf, "");
SYMBOL_CRC(sas_get_address, 0x97caf197, "");
SYMBOL_CRC(sas_tlr_supported, 0x227f047e, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x08d92536, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xca7d47db, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xc2205311, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x075e1ae3, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xabbb6eb5, "");
SYMBOL_CRC(sas_phy_add, 0xb43afe87, "");
SYMBOL_CRC(sas_phy_free, 0x36a4014a, "");
SYMBOL_CRC(sas_phy_delete, 0x19a40186, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x0e7f2b05, "");
SYMBOL_CRC(sas_port_alloc, 0x77d6cd04, "");
SYMBOL_CRC(sas_port_alloc_num, 0x318fe18f, "");
SYMBOL_CRC(sas_port_add, 0x9decd01e, "");
SYMBOL_CRC(sas_port_free, 0xcbbc17dc, "");
SYMBOL_CRC(sas_port_delete, 0xe2741b52, "");
SYMBOL_CRC(scsi_is_sas_port, 0x63b60aac, "");
SYMBOL_CRC(sas_port_get_phy, 0x44c521a7, "");
SYMBOL_CRC(sas_port_add_phy, 0x37877951, "");
SYMBOL_CRC(sas_port_delete_phy, 0x87016d53, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xdf0b64a4, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xa085847f, "");
SYMBOL_CRC(sas_end_device_alloc, 0x681e9ef6, "");
SYMBOL_CRC(sas_expander_alloc, 0x23da537d, "");
SYMBOL_CRC(sas_rphy_add, 0xa6e5f6fb, "");
SYMBOL_CRC(sas_rphy_free, 0xc2c1a230, "");
SYMBOL_CRC(sas_rphy_delete, 0x9a55395d, "");
SYMBOL_CRC(sas_rphy_unlink, 0x3b81c8f3, "");
SYMBOL_CRC(sas_rphy_remove, 0x622266bf, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x55d33bd8, "");
SYMBOL_CRC(sas_attach_transport, 0x91b1f196, "");
SYMBOL_CRC(sas_release_transport, 0x8260db27, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x76ecd19b, "attribute_container_register" },
	{ 0x47e0003b, "scsi_get_vpd_page" },
	{ 0xf2af7b4b, "scsi_mode_sense" },
	{ 0x635a8bbe, "attribute_container_unregister" },
	{ 0x74860616, "scsi_remove_host" },
	{ 0x213c316b, "bsg_remove_queue" },
	{ 0xac7aaa21, "scsi_remove_target" },
	{ 0xeefbd52e, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x729b3d71, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf6c29d0e, "dma_opt_mapping_size" },
	{ 0x6ad0cad6, "device_initialize" },
	{ 0x5f431e7, "dev_set_name" },
	{ 0xbb3abd8b, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2914750, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc5a5212, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1a4a38a, "device_add" },
	{ 0x7539a0ef, "transport_add_device" },
	{ 0x62996383, "transport_configure_device" },
	{ 0x3bcb6aac, "device_del" },
	{ 0xf94416b2, "transport_destroy_device" },
	{ 0x7b3601ee, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3693aabb, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe1d19bf, "sysfs_remove_link" },
	{ 0x79ab0c76, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x79165f66, "_dev_printk" },
	{ 0x95c6e4e6, "scsi_scan_target" },
	{ 0x7e7efa98, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xb7529b02, "transport_class_register" },
	{ 0x4de38f19, "transport_class_unregister" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "082852696E06971446548D5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
