#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(ieee80211_rx, "", "");
KSYMTAB_FUNC(ieee80211_rx_mgt, "", "");
KSYMTAB_FUNC(ieee80211_is_54g, "", "");
KSYMTAB_FUNC(ieee80211_is_shortslot, "", "");
KSYMTAB_FUNC(ieee80211_softmac_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_stop_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_start_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_stop_scan, "", "");
KSYMTAB_FUNC(ieee80211_start_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_ps_tx_ack, "", "");
KSYMTAB_FUNC(ieee80211_softmac_xmit, "", "");
KSYMTAB_FUNC(ieee80211_reset_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_disassociate, "", "");
KSYMTAB_FUNC(ieee80211_get_beacon, "", "");
KSYMTAB_FUNC(ieee80211_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(ieee80211_softmac_start_protocol, "", "");
KSYMTAB_FUNC(SendDisassociation_rsl, "", "");
KSYMTAB_FUNC(ieee80211_wpa_supplicant_ioctl, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event_rsl, "", "");
KSYMTAB_FUNC(ieee80211_txb_free, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mlme, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_auth, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_gen_ie, "", "");
KSYMTAB_DATA(ieee80211_wlan_frequencies, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rawtx, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_name, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_power, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_power, "", "");
KSYMTAB_FUNC(HTUpdateSelfAndPeerSetting, "", "");
KSYMTAB_FUNC(rtl8192u_dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_reset, "", "");
KSYMTAB_FUNC(dot11d_update_country_ie, "", "");
KSYMTAB_FUNC(dot11d_get_max_tx_pwr_in_dbm, "", "");
KSYMTAB_FUNC(dot11d_scan_complete, "", "");
KSYMTAB_FUNC(is_legal_channel, "", "");
KSYMTAB_FUNC(to_legal_channel, "", "");

SYMBOL_CRC(ieee80211_rx, 0x37c1287e, "");
SYMBOL_CRC(ieee80211_rx_mgt, 0xdd57f3b3, "");
SYMBOL_CRC(ieee80211_is_54g, 0xe3372510, "");
SYMBOL_CRC(ieee80211_is_shortslot, 0x6651f895, "");
SYMBOL_CRC(ieee80211_softmac_scan_syncro, 0x8ca3fd67, "");
SYMBOL_CRC(ieee80211_stop_send_beacons, 0xc67a751d, "");
SYMBOL_CRC(ieee80211_start_send_beacons, 0xff28f218, "");
SYMBOL_CRC(ieee80211_stop_scan, 0x65d9299d, "");
SYMBOL_CRC(ieee80211_start_scan_syncro, 0xc17ca4a8, "");
SYMBOL_CRC(ieee80211_ps_tx_ack, 0x5c09ea4b, "");
SYMBOL_CRC(ieee80211_softmac_xmit, 0xaf8072be, "");
SYMBOL_CRC(ieee80211_reset_queue, 0x1f8632a1, "");
SYMBOL_CRC(ieee80211_wake_queue_rsl, 0xea3842a6, "");
SYMBOL_CRC(ieee80211_stop_queue_rsl, 0xc2ed0998, "");
SYMBOL_CRC(ieee80211_disassociate, 0x89ae7130, "");
SYMBOL_CRC(ieee80211_get_beacon, 0x06cdcb99, "");
SYMBOL_CRC(ieee80211_softmac_stop_protocol, 0xdbcfc804, "");
SYMBOL_CRC(ieee80211_softmac_start_protocol, 0x55e91f29, "");
SYMBOL_CRC(SendDisassociation_rsl, 0x3f9e560c, "");
SYMBOL_CRC(ieee80211_wpa_supplicant_ioctl, 0x58cd04a7, "");
SYMBOL_CRC(notify_wx_assoc_event_rsl, 0xbd325ed1, "");
SYMBOL_CRC(ieee80211_txb_free, 0xcf0be1b4, "");
SYMBOL_CRC(ieee80211_wx_get_scan, 0x1daf1157, "");
SYMBOL_CRC(ieee80211_wx_set_encode, 0x1a012896, "");
SYMBOL_CRC(ieee80211_wx_get_encode, 0x2001af16, "");
SYMBOL_CRC(ieee80211_wx_set_encode_ext, 0x47c34bf4, "");
SYMBOL_CRC(ieee80211_wx_get_encode_ext, 0x88ec2978, "");
SYMBOL_CRC(ieee80211_wx_set_mlme, 0xc15d93c5, "");
SYMBOL_CRC(ieee80211_wx_set_auth, 0x11110296, "");
SYMBOL_CRC(ieee80211_wx_set_gen_ie, 0x2f374b98, "");
SYMBOL_CRC(ieee80211_wlan_frequencies, 0x232e7944, "");
SYMBOL_CRC(ieee80211_wx_set_freq, 0xd0b02b90, "");
SYMBOL_CRC(ieee80211_wx_get_freq, 0xd6317b2d, "");
SYMBOL_CRC(ieee80211_wx_get_wap, 0x9e372258, "");
SYMBOL_CRC(ieee80211_wx_set_wap, 0xa9d2801d, "");
SYMBOL_CRC(ieee80211_wx_get_essid, 0x4d77a91a, "");
SYMBOL_CRC(ieee80211_wx_set_rate, 0x56fdb10d, "");
SYMBOL_CRC(ieee80211_wx_get_rate, 0x507ce1b0, "");
SYMBOL_CRC(ieee80211_wx_set_rts, 0x7a7c6153, "");
SYMBOL_CRC(ieee80211_wx_get_rts, 0x4d99c316, "");
SYMBOL_CRC(ieee80211_wx_set_mode, 0x4a7a6a54, "");
SYMBOL_CRC(ieee80211_wx_set_scan, 0x1b2e41ea, "");
SYMBOL_CRC(ieee80211_wx_set_essid, 0xf8a1e77b, "");
SYMBOL_CRC(ieee80211_wx_get_mode, 0x4cfb3ae9, "");
SYMBOL_CRC(ieee80211_wx_set_rawtx, 0x782ccf61, "");
SYMBOL_CRC(ieee80211_wx_get_name, 0x70d4119c, "");
SYMBOL_CRC(ieee80211_wx_set_power, 0xb378f84d, "");
SYMBOL_CRC(ieee80211_wx_get_power, 0x06aeb62c, "");
SYMBOL_CRC(HTUpdateSelfAndPeerSetting, 0x4e399ae3, "");
SYMBOL_CRC(rtl8192u_dot11d_init, 0x0b1fca42, "");
SYMBOL_CRC(dot11d_reset, 0xfd9dd764, "");
SYMBOL_CRC(dot11d_update_country_ie, 0xfaa211af, "");
SYMBOL_CRC(dot11d_get_max_tx_pwr_in_dbm, 0x00b7a8ea, "");
SYMBOL_CRC(dot11d_scan_complete, 0xab4d02a7, "");
SYMBOL_CRC(is_legal_channel, 0x1e8ea84f, "");
SYMBOL_CRC(to_legal_channel, 0xa45b59f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7673601a, "skb_push" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5ba0e514, "usb_control_msg" },
	{ 0x427230ac, "wireless_send_event" },
	{ 0xbfc40aeb, "seq_putc" },
	{ 0x9f05fc21, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x425a99c0, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd376cefa, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x244edd51, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3802b01e, "netif_tx_wake_queue" },
	{ 0xdfef248f, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xc36e3080, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x20992d14, "netif_rx" },
	{ 0x5bba9cfd, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x743de6f3, "skb_trim" },
	{ 0x99c8f8b3, "skb_unlink" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8cd066ea, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbd75dfb3, "netdev_alert" },
	{ 0xf9f78813, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc4555b40, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0xabd6e7ec, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8d2d36cd, "remove_proc_entry" },
	{ 0x62e8830b, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc465e46c, "skb_copy" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0xf4ffab18, "single_open" },
	{ 0xa5597f99, "crypto_alloc_shash" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x581edb9b, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x897c2009, "alloc_etherdev_mqs" },
	{ 0x843c9db2, "usb_alloc_urb" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xde213f69, "usb_free_urb" },
	{ 0xd16ec16, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x94f82e8b, "proc_create" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xcbe3de9e, "unregister_netdev" },
	{ 0xa1072862, "skb_dequeue" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x2376a635, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xf94c5e47, "dev_trans_start" },
	{ 0xe2ac5c2d, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0x340dc3a9, "eth_validate_addr" },
	{ 0xcb9e28a8, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5859cd, "netdev_warn" },
	{ 0x270e73c1, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x862851f3, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7ab5f812, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb559c26, "skb_queue_purge_reason" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0xdd13d8f8, "crypto_destroy_tfm" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xdd882ee6, "usb_submit_urb" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x3c78d057, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x283d5a7a, "debugfs_lookup" },
	{ 0xa726ac27, "crypto_aead_setkey" },
	{ 0x1096ac06, "init_net" },
	{ 0xe1efa14b, "crypto_shash_setkey" },
	{ 0x1b8350c7, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xf445329e, "crypto_aead_encrypt" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "libarc4,usbcore");

MODULE_ALIAS("usb:v0BDAp8709d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp805Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p9201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0290d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep7A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "177EA336E36A5437CB1B9B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
