#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_send_command, 0xdbd57539, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0xa57225a2, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x2825982d, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xc78f5176, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x447c2b4a, "_gpl");
SYMBOL_CRC(ucsi_create, 0xe158996a, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xfe229cb9, "_gpl");
SYMBOL_CRC(ucsi_register, 0x6523cd06, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xd8073b71, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x34fc0bf4, "typec_partner_register_altmode" },
	{ 0xc67fd9ae, "typec_partner_set_num_altmodes" },
	{ 0x90fdc5c4, "typec_unregister_partner" },
	{ 0x9f3fcbca, "typec_set_pwr_opmode" },
	{ 0x96937d0d, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x66a94a4e, "typec_altmode_update_active" },
	{ 0xfa35895c, "device_property_read_u8_array" },
	{ 0x2f0a8d7a, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x7d491bd5, "usb_power_delivery_register_capabilities" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0xc1eb0f8b, "usb_power_delivery_unregister" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0x8ca99810, "typec_set_data_role" },
	{ 0x7a16bd43, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xb863efd5, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x86aab277, "typec_unregister_port" },
	{ 0x70857b20, "power_supply_get_drvdata" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xc716162b, "typec_register_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18a7a612, "typec_partner_set_usb_power_delivery" },
	{ 0xbeb008c7, "power_supply_changed" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5868cc8, "devm_kasprintf" },
	{ 0x8d40e725, "typec_partner_set_svdm_version" },
	{ 0xf9f78813, "seq_read" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb8e375bc, "typec_unregister_altmode" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc39416a3, "usb_power_delivery_unregister_capabilities" },
	{ 0xd595bf7b, "typec_get_drvdata" },
	{ 0x5031c82, "power_supply_unregister" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x55679fb5, "typec_set_pwr_role" },
	{ 0x172e47ea, "dev_err_probe" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x581393c, "usb_debug_root" },
	{ 0x7d99a2bc, "fwnode_handle_put" },
	{ 0x3e890811, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf4ffab18, "single_open" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x907b066b, "__dev_fwnode" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x9511bd20, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x43913aec, "typec_register_partner" },
	{ 0xee825c, "typec_port_set_usb_power_delivery" },
	{ 0x849cc2b9, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x38519a44, "typec_port_register_altmode" },
	{ 0xbcf5d0a1, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0xa1529d64, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x319756da, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0xb9616231, "typec_set_mode" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xa3ba4507, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd9b1d7ec, "usb_power_delivery_register" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "CB3DFD03D1C852B6E756A6C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
