#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x9d2f8eb5, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x2cd38557, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x5e34568c, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x9d8bfbae, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x7575245a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9c33a703, "inet_ctl_sock_create" },
	{ 0xd6d65f33, "inet_ioctl" },
	{ 0x728ce122, "reuseport_add_sock" },
	{ 0xdfbef586, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd1d3dfb4, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0x1d86d7fb, "fput" },
	{ 0xe0757964, "inet_accept" },
	{ 0x1096ac06, "init_net" },
	{ 0xe1efa14b, "crypto_shash_setkey" },
	{ 0x1b8350c7, "skb_pull" },
	{ 0xc321ae4e, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14d390f6, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf7384a5d, "__SCK__tp_func_sk_data_ready" },
	{ 0xcab13ed5, "inet_add_protocol" },
	{ 0xa2863604, "inet_shutdown" },
	{ 0x99dee770, "sk_free" },
	{ 0x2c17bc7d, "sock_wake_async" },
	{ 0x31c55bab, "dev_get_by_index_rcu" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1def7e2b, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7673601a, "skb_push" },
	{ 0x37295d3c, "__ip_queue_xmit" },
	{ 0xe347d03b, "kmem_cache_free" },
	{ 0x6f0366de, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x19661d52, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf3a86d79, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xca0e6c57, "inet6_ioctl" },
	{ 0xde0eb3c6, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xc55ee189, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xa096dbe4, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1763119c, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x4a0d3d34, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x28f63868, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3bc80391, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0x7010da69, "setup_udp_tunnel_sock" },
	{ 0x26f402a7, "udp_sock_create6" },
	{ 0x743de6f3, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4d6099bd, "sk_common_release" },
	{ 0x75048009, "pv_ops" },
	{ 0x35d39203, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x5e897a62, "inet6_getname" },
	{ 0x3cbf6de6, "sock_i_ino" },
	{ 0xc0d20dff, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcc0a6923, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x2bf98da4, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xeb5dc6ef, "ipv4_mtu" },
	{ 0xd8c110cb, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0xf6af29f4, "__skb_checksum" },
	{ 0xd971e201, "reuseport_alloc" },
	{ 0xba661a69, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x17f4f1, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd8c57dc9, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xffad6140, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x90becfd1, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x540819c5, "proc_create_net_single" },
	{ 0xc465e46c, "skb_copy" },
	{ 0xe5cbf2aa, "skb_clone" },
	{ 0x6a048979, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x916106cd, "dst_release" },
	{ 0x7c7cb802, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x737705e4, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x21154ac0, "inet_recv_error" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x32640cf6, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x12761b1a, "_proc_mkdir" },
	{ 0x56d7799b, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2db40b3e, "send_sig" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2e0f9e08, "inet6_add_protocol" },
	{ 0xefe2c0a6, "from_kuid_munged" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x13aa235b, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xe1cf5d56, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x85371f03, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xd22a35bb, "reuseport_detach_sock" },
	{ 0x623bb927, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x8c91f154, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa5597f99, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x5ea1937c, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x261ab9ae, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x3db28951, "kmem_cache_destroy" },
	{ 0xb85c4782, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x21c51cb4, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x76ad7914, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xb3f792b3, "sock_i_uid" },
	{ 0x399c1c95, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5b97c618, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9596475, "skb_copy_bits" },
	{ 0xad785356, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf834f0da, "sock_wfree" },
	{ 0xd16ec16, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x860c916a, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5dd4ffc, "ip6_dst_hoplimit" },
	{ 0xeaa12238, "consume_skb" },
	{ 0x1c54f6b, "inet6_add_offload" },
	{ 0x99d08916, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x650216fe, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x93a79d19, "l3mdev_fib_table_by_index" },
	{ 0x5939e733, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa1072862, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x18812ca2, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc97b47e4, "skb_segment" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x4703aded, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x61e8a8bc, "udp_tunnel6_xmit_skb" },
	{ 0xb53aee87, "sock_common_getsockopt" },
	{ 0x8750a0a6, "inet_bind" },
	{ 0x7344079a, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xd67064e7, "fd_install" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x10a86a, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xa3ded031, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x8506fb4e, "__tracepoint_sk_data_ready" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x691a90a8, "sock_common_setsockopt" },
	{ 0x18c06064, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x45febdf2, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x28efbc3a, "kmem_cache_create" },
	{ 0x78ed11c0, "__sk_mem_schedule" },
	{ 0x45235951, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x997733d5, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x75ff9812, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x3af71720, "sk_error_report" },
	{ 0xb01513c0, "register_pernet_subsys" },
	{ 0x579e02cc, "put_cmsg" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x9d98901c, "register_net_sysctl_sz" },
	{ 0x190b0bcc, "inet_sock_destruct" },
	{ 0xdd13d8f8, "crypto_destroy_tfm" },
	{ 0x8e5c6cc4, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd161083a, "inet_sk_get_local_port_range" },
	{ 0x6af535b4, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf321d734, "inet_getname" },
	{ 0xc888347, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xcd5f72b8, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x688a3ee0, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x416e7351, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4df9fe68, "kmem_cache_alloc" },
	{ 0xac9499a6, "proto_register" },
	{ 0x47be2358, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xa4e33a0c, "inet6_compat_ioctl" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "4DEF1D5AD3CBBD993E4EFFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
