#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x1b3186f5, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x95bfecaf, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xe24a7552, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x3701b99f, "");
SYMBOL_CRC(gss_mech_put, 0x6fc95cf7, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x03816312, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xb188f5b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe97f4ce5, "qword_get" },
	{ 0x1975eb7f, "rpcauth_init_credcache" },
	{ 0x495db959, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x3491ebec, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0xd4778b3c, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92a57199, "rpc_sleep_on_timeout" },
	{ 0x53776ef7, "rpc_create" },
	{ 0xe3c9892b, "bpf_trace_run1" },
	{ 0xef74a1f2, "rpc_call_sync" },
	{ 0x37dddfda, "from_kuid" },
	{ 0xa096dbe4, "unregister_pernet_subsys" },
	{ 0xbae754dc, "rpc_queue_upcall" },
	{ 0xdbbcb2eb, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x92ef6cb5, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcd3c43c0, "svcauth_unix_set_client" },
	{ 0x4167430b, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xec567dc9, "make_kgid" },
	{ 0xb2980cdd, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x3b4d4da2, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x997b9acc, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x35d39203, "bpf_trace_run3" },
	{ 0x2c276446, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb832ea8c, "rpc_mkpipe_dentry" },
	{ 0x1ebaefa5, "rpc_mkpipe_data" },
	{ 0x837ed1e9, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x1baed18d, "cache_register_net" },
	{ 0x94c53d69, "init_user_ns" },
	{ 0x2720c8a1, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe344cdd9, "xdr_inline_pages" },
	{ 0x98b5e991, "__folio_put" },
	{ 0x8d2d36cd, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0x3cb8f8db, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x85123a6a, "rpc_unlink" },
	{ 0xbff5a4c7, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xefe2c0a6, "from_kuid_munged" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x1dec0e39, "rpcauth_init_cred" },
	{ 0x7410dbb5, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf0a0ad3, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x72582555, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46dc6eee, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x9ccd69de, "sunrpc_cache_update" },
	{ 0x9e6e0a67, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xee3a4634, "auth_domain_put" },
	{ 0x65af2446, "rpcauth_unwrap_resp_decode" },
	{ 0xc4ee8554, "rpcauth_register" },
	{ 0xa9c0a13a, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1e417841, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x5255d149, "xdr_buf_from_iov" },
	{ 0x39623a31, "bpf_trace_run4" },
	{ 0xf022563a, "xdr_stream_decode_opaque_auth" },
	{ 0xca5e5f3, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x971e500a, "xdr_write_pages" },
	{ 0xcd8dab6b, "rpc_shutdown_client" },
	{ 0xa60d78fd, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x93026ff4, "xdr_inline_decode" },
	{ 0x21ab1992, "cache_create_net" },
	{ 0x3cb07722, "rpcauth_destroy_credcache" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x801a6868, "bpf_trace_run6" },
	{ 0x266f089f, "rpc_net_ns" },
	{ 0x37eb81a0, "read_bytes_from_xdr_buf" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc819e028, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x74e8ed8b, "__put_devmap_managed_page_refs" },
	{ 0x159efc8, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x7466703a, "xdr_truncate_decode" },
	{ 0x92556fa6, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x701e8f38, "__xdr_commit_encode" },
	{ 0xfde3ac69, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcce19b82, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfafc787, "__put_cred" },
	{ 0xb01513c0, "register_pernet_subsys" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2eb4e20e, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd0048119, "rpc_release_client" },
	{ 0x1e5e5720, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x235fbec5, "svc_auth_register" },
	{ 0xd40edcf8, "xdr_stream_encode_opaque_auth" },
	{ 0x964ebbe0, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xa7fa1eec, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa4f47fdb, "__free_pages" },
	{ 0xbac1aa92, "rpc_pipe_generic_upcall" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xb66b9cc7, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb7a8eb8a, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4d2635d6, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D3213DC345F5419BC550B8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
