#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(__snd_printk, "_gpl", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0x9833b3c2, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x2aa9c2cf, "");
SYMBOL_CRC(snd_unregister_device, 0xb6f03d12, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0xc17c7813, "");
SYMBOL_CRC(snd_device_alloc, 0x990c9a2c, "_gpl");
SYMBOL_CRC(snd_card_new, 0x9bd2853c, "");
SYMBOL_CRC(snd_devm_card_new, 0xd6a11703, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x5f813085, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xe409ab87, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0xc483f7fa, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0xb84b4946, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x8b874329, "");
SYMBOL_CRC(snd_card_free, 0x7d8edb61, "");
SYMBOL_CRC(snd_card_set_id, 0xe16476e1, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0xa97f1ac5, "_gpl");
SYMBOL_CRC(snd_card_register, 0xc39a63b2, "");
SYMBOL_CRC(snd_component_add, 0x94f76409, "");
SYMBOL_CRC(snd_card_file_add, 0x34a27d31, "");
SYMBOL_CRC(snd_card_file_remove, 0xde30f6a8, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x486b3c4c, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x5cfadb60, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0xef620309, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x37fdccdd, "");
SYMBOL_CRC(snd_ctl_notify, 0x396aa27f, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x25628f75, "");
SYMBOL_CRC(snd_ctl_new1, 0xe796ae28, "");
SYMBOL_CRC(snd_ctl_free_one, 0x40de91f7, "");
SYMBOL_CRC(snd_ctl_add, 0xe889daa8, "");
SYMBOL_CRC(snd_ctl_replace, 0x2c83745e, "");
SYMBOL_CRC(snd_ctl_remove, 0x45528bc6, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x67b3d0ec, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x5c584727, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x869cd155, "");
SYMBOL_CRC(snd_ctl_rename, 0xa5d45913, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0x3e8af321, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x560b5b48, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0x9aa85938, "");
SYMBOL_CRC(snd_ctl_find_id, 0xdc90472a, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x41d9cd0e, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0xb56defe2, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x433f578d, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xbdf3d05c, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x38b2da92, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0xd03b7365, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xda937a94, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xe5ec4b68, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xab10378d, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xd47a0d7a, "");
SYMBOL_CRC(snd_fasync_helper, 0x21006657, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xe63dee76, "");
SYMBOL_CRC(snd_device_disconnect, 0xbea66fe7, "_gpl");
SYMBOL_CRC(snd_device_free, 0x97d66eb1, "");
SYMBOL_CRC(snd_device_register, 0xed3fcb19, "");
SYMBOL_CRC(snd_device_get_state, 0xce68fc8d, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x402977c4, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x8dc2af7d, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xff0c55be, "");
SYMBOL_CRC(snd_info_free_entry, 0x7ac75d8e, "");
SYMBOL_CRC(snd_info_register, 0x3de398af, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0xaddc9895, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x93c48c82, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xcdeeffea, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x0fb1de95, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0xa4a4daac, "");
SYMBOL_CRC(snd_ctl_add_followers, 0xedbdeda8, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x9dcd6ba0, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0xecfc3b9f, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0xbc4ea729, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x1c7e4302, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x13cbeb72, "");
SYMBOL_CRC(snd_jack_new, 0x2ebdd69c, "");
SYMBOL_CRC(snd_jack_set_parent, 0x4286b1f8, "");
SYMBOL_CRC(snd_jack_set_key, 0x14f4e42c, "");
SYMBOL_CRC(snd_jack_report, 0x2851f8f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x9f984513, "strrchr" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb1a4a38a, "device_add" },
	{ 0x6d7c51e3, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xab055fb8, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22def93, "input_set_capability" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x65071365, "__devres_alloc_node" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0x477236df, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3bcb6aac, "device_del" },
	{ 0xdfef248f, "proc_mkdir" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc36e3080, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5506c6e6, "input_event" },
	{ 0xc6160074, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xf9f78813, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2d7ed252, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x20f5813c, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x97e097a6, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7c7cb802, "_copy_from_iter" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x771d46f0, "stream_open" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x1e2f5f20, "pid_vnr" },
	{ 0xfbc37829, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x3cbbe56a, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xd0140e26, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x43b9bb5f, "proc_symlink" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf4ffab18, "single_open" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x21424306, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xbd2f46d3, "input_allocate_device" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x34267160, "_copy_to_iter" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5f431e7, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc898792e, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0xf2fcb9d5, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x6ad0cad6, "device_initialize" },
	{ 0xbe9d43d1, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x407e0456, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x159efc8, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8abac1f0, "devm_remove_action" },
	{ 0xc6b1ab7f, "import_ubuf" },
	{ 0x3693aabb, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x845213e3, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2a991c3, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd147cda9, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6cb1ee, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x7de8437f, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfc5a5212, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaffdbf17, "register_sound_special_device" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "E7444EABC03061A243BFF84");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
