#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0x006ea89e, "");
SYMBOL_CRC(snd_trident_stop_voice, 0x5c751983, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0xeb1db5ef, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0x66de7efe, "");
SYMBOL_CRC(snd_trident_free_voice, 0x8467b7c4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0x153b2c28, "snd_mpu401_uart_new" },
	{ 0xb5773b04, "dma_set_mask" },
	{ 0x5fe3e7d1, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0xb2b641da, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3b24090f, "pci_write_config_dword" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xc59655e4, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xcb039902, "devm_request_threaded_irq" },
	{ 0xe889daa8, "snd_ctl_add" },
	{ 0xe0fe1b02, "snd_ac97_resume" },
	{ 0xb07820ce, "snd_pcm_new" },
	{ 0xc39a63b2, "snd_card_register" },
	{ 0xcaa26fee, "snd_devm_alloc_dir_pages" },
	{ 0xe22b94c3, "__pci_register_driver" },
	{ 0xb1bab46, "snd_pcm_hw_constraint_minmax" },
	{ 0xbe9d43d1, "param_array_ops" },
	{ 0x220e9095, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaddc9895, "snd_card_rw_proc_new" },
	{ 0xcb08af57, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x98a969b8, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2a6e471b, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x145347ee, "snd_pcm_set_sync" },
	{ 0xfc0cad49, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe796ae28, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x60d5ab43, "snd_ac97_suspend" },
	{ 0x614c7976, "__snd_printk" },
	{ 0xe5ec4b68, "snd_ctl_boolean_mono_info" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x396aa27f, "snd_ctl_notify" },
	{ 0xd5788a9f, "snd_pcm_set_ops" },
	{ 0x3d6f976d, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x565827f8, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x52f1d820, "pci_set_master" },
	{ 0xc36e3080, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc191ca5, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0xd6a11703, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d735ecf, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "snd-util-mem,snd-mpu401-uart,snd-pcm,snd,snd-ac97-codec");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41970AD61B7EA9C53D2F718");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
