#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(arl_s_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0xcba93e81, "");
SYMBOL_CRC(hda_ops_free, 0xee96676f, "");
SYMBOL_CRC(sof_skl_ops, 0xbf851608, "");
SYMBOL_CRC(sof_skl_ops_init, 0xf83be3ef, "");
SYMBOL_CRC(skl_chip_info, 0x9f4ce052, "");
SYMBOL_CRC(sof_apl_ops, 0x266d8bc4, "");
SYMBOL_CRC(sof_apl_ops_init, 0xd4908ff5, "");
SYMBOL_CRC(apl_chip_info, 0x1719ad33, "");
SYMBOL_CRC(sof_cnl_ops, 0xe8eef888, "");
SYMBOL_CRC(sof_cnl_ops_init, 0xb916fd6c, "");
SYMBOL_CRC(cnl_chip_info, 0x9c55579d, "");
SYMBOL_CRC(jsl_chip_info, 0xc1286e79, "");
SYMBOL_CRC(sof_tgl_ops, 0xb04f16cb, "");
SYMBOL_CRC(sof_tgl_ops_init, 0x3695340e, "");
SYMBOL_CRC(tgl_chip_info, 0x3c7c5fb0, "");
SYMBOL_CRC(tglh_chip_info, 0x08edf20d, "");
SYMBOL_CRC(ehl_chip_info, 0xe0b1579f, "");
SYMBOL_CRC(adls_chip_info, 0x7ee3bfe0, "");
SYMBOL_CRC(sof_icl_ops, 0xa3be1622, "");
SYMBOL_CRC(sof_icl_ops_init, 0x01b9c10d, "");
SYMBOL_CRC(icl_chip_info, 0x2d8d7911, "");
SYMBOL_CRC(sof_mtl_ops, 0xe9451bf1, "");
SYMBOL_CRC(sof_mtl_ops_init, 0x1822e372, "");
SYMBOL_CRC(mtl_chip_info, 0x1c7e177d, "");
SYMBOL_CRC(arl_s_chip_info, 0x3902498d, "");
SYMBOL_CRC(sof_lnl_ops, 0xe641d8ef, "");
SYMBOL_CRC(sof_lnl_ops_init, 0xf88ce663, "");
SYMBOL_CRC(lnl_chip_info, 0x0f2936f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98a969b8, "snd_sgbuf_get_addr" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0x2cfa7e8, "snd_sgbuf_get_chunk_size" },
	{ 0x8cb7c6b0, "pci_ioremap_bar" },
	{ 0x4230d737, "hdac_bus_eml_check_interrupt" },
	{ 0xc67e3488, "sof_pci_probe" },
	{ 0xf4db39b5, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3502e29, "hda_codec_i915_exit" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x54aae7d9, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x80207622, "hda_codec_resume_cmd_io" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xccadb802, "snd_hdac_ext_bus_exit" },
	{ 0x4cd29ff8, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95366b6c, "snd_hdac_ext_stream_clear" },
	{ 0x6b6bd71a, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0xd0e268e2, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe1189ff0, "snd_hdac_ext_bus_link_power" },
	{ 0xf570e6c1, "snd_sof_dsp_dbg_dump" },
	{ 0xd9e8fa55, "sdw_intel_process_wakeen_event" },
	{ 0x82db4bc6, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0xf077493b, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0x429f16b9, "hda_bus_ml_put_all" },
	{ 0x9609f566, "devm_kfree" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x566ba73, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe75926dd, "platform_device_unregister" },
	{ 0xad60b976, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x546dce99, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x236e2cf9, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0x6737bc8d, "hda_codec_device_remove" },
	{ 0xb2eaccce, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x965c8992, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x2b79c5c1, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4cfff2c9, "hda_bus_ml_reset_losidv" },
	{ 0xd06f7f80, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xb92e58bf, "snd_sof_ipc_get_reply" },
	{ 0x463c6b78, "snd_sof_dsp_update_bits" },
	{ 0x352986d9, "hdac_bus_eml_enable_interrupt" },
	{ 0xd18d94cd, "hdac_bus_eml_enable_offload" },
	{ 0xfa3de38a, "pci_restore_state" },
	{ 0xc620d319, "snd_sof_pci_update_bits" },
	{ 0x6b2dcfb3, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x4ba2da91, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x621178d0, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x6c545915, "sdw_intel_lnl_hw_ops" },
	{ 0x52f1d820, "pci_set_master" },
	{ 0xc36e3080, "param_ops_charp" },
	{ 0x304f3262, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc191ca5, "dma_set_coherent_mask" },
	{ 0x5868cc8, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb54aa2f9, "snd_pcm_hw_constraint_integer" },
	{ 0x35d39203, "bpf_trace_run3" },
	{ 0xcd5f0da2, "hda_codec_rirb_status_clear" },
	{ 0x520d63a7, "hda_codec_suspend_cmd_io" },
	{ 0xa29de181, "snd_sof_ipc_reply" },
	{ 0xe1cc6a10, "hda_codec_init_cmd_io" },
	{ 0x515d107e, "hda_codec_stop_cmd_io" },
	{ 0x60a85c01, "hda_codec_detect_mask" },
	{ 0xa6cf9cc5, "platform_device_register_full" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3edae38, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6ed188c3, "sof_ipc_tx_message" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x21598d8f, "sdw_intel_probe" },
	{ 0xf683fd7b, "snd_sof_load_firmware_raw" },
	{ 0x29fb10b0, "snd_sof_dsp_panic" },
	{ 0x3789d38, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xb0b4e65f, "snd_sof_suspend" },
	{ 0x2c9a26b, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xb5773b04, "dma_set_mask" },
	{ 0x8ebbf328, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0x27c5586, "intel_nhlt_init" },
	{ 0x79165f66, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1a8e2565, "sof_client_dev_unregister" },
	{ 0xffacadd3, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xb78fbf4e, "hda_codec_i915_init" },
	{ 0x2b542400, "pci_free_irq_vectors" },
	{ 0x7c775030, "hda_codec_check_rirb_status" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xea00f96b, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xefb2d618, "hdac_bus_eml_get_count" },
	{ 0x7e15e979, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4f8f8bd7, "sof_io_write" },
	{ 0xacf52d2f, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf71d6634, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x5e81d07, "hdac_bus_eml_get_mutex" },
	{ 0x1b396596, "snd_soc_acpi_intel_hda_machines" },
	{ 0x2547f0eb, "hda_codec_jack_check" },
	{ 0x8a824912, "hda_bus_ml_suspend" },
	{ 0xf9fa2e1f, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf32be83c, "pci_save_state" },
	{ 0xdc5a6cc, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc7e9b468, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xaf9276, "hda_codec_i915_display_power" },
	{ 0x6d28913a, "is_acpi_device_node" },
	{ 0x39623a31, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x685fca0d, "snd_dma_alloc_dir_pages" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x1bce9f10, "snd_hdac_bus_send_cmd" },
	{ 0xd6b408c2, "hda_bus_ml_resume" },
	{ 0xccd45d26, "pci_alloc_irq_vectors" },
	{ 0xf83073ac, "intel_nhlt_get_dmic_geo" },
	{ 0xcd76f0bc, "snd_hdac_bus_get_response" },
	{ 0x448b1222, "snd_hdac_ext_stream_start" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0xd81151c1, "hdac_bus_eml_sdw_get_hlink" },
	{ 0xba15104d, "hda_codec_set_codec_wakeup" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xff8a4c12, "hda_bus_ml_init" },
	{ 0xb3dd83df, "hda_codec_probe_bus" },
	{ 0xae389f60, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0xb1bab46, "snd_pcm_hw_constraint_minmax" },
	{ 0x7d24dc28, "sdw_intel_exit" },
	{ 0x1140e0de, "hda_codec_check_for_state_change" },
	{ 0x45ffd8b, "hda_codec_jack_wake_enable" },
	{ 0x62bc9f11, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc8d7eba, "snd_hdac_ext_bus_init" },
	{ 0x8ff12625, "hda_bus_ml_free" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x9dadab24, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbfc1c597, "snd_intel_dsp_driver_probe" },
	{ 0xb0785a17, "pci_irq_vector" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-sof-intel-hda-mlink,snd-sof-pci,snd-soc-hdac-hda,snd-sof-intel-hda,snd-hda-ext-core,snd-sof,soundwire-intel,snd-hda-core,snd-soc-acpi,snd-soc-core,snd-intel-dspcfg,snd-intel-sdw-acpi,snd-soc-acpi-intel-match,snd-sof-xtensa-dsp");


MODULE_INFO(srcversion, "5956AB3BB86AA21F1626CFD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
