#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0xff8a4c12, "");
SYMBOL_CRC(hda_bus_ml_free, 0x8ff12625, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xefb2d618, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x352986d9, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x4230d737, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xd6874caf, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x3fc911b5, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x19dfd36f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x3d0f583a, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x0f9c8158, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0xfe7fcaf7, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x7a8d6ac5, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x24a67f71, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x019b55c5, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0xe619780c, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xe73a94ea, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x3e5c9544, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0xecae0b35, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x72021f1d, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x9ba9bac6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x114eea1c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x6865a33d, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x85b039f9, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x546dce99, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x429f16b9, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x4cfff2c9, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xd6b408c2, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x8a824912, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x05e81d07, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x6b2dcfb3, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x4ba2da91, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0xd81151c1, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0xd18d94cd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbfb6a035, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3eddd4e0, "snd_hdac_ext_bus_link_power_down" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66e4488c, "snd_hdac_ext_bus_link_put" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
