#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x4e5d1a2c, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xde6d0c1b, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xe2e29900, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x1b8e2167, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xf5e3a9c0, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x866120f2, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x6c0c818f, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xd8317010, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x3980969a, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x05c1af45, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x27db4720, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xa312214e, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x04b7e1fa, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x060983f7, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x1a94ded3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2247f238, "drm_helper_disable_unused_functions" },
	{ 0xcf8e94e9, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x2a5553a, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xa1d90d1c, "drm_fb_helper_fini" },
	{ 0x16f15a0c, "dma_mmap_pages" },
	{ 0x3270edc3, "drm_client_framebuffer_delete" },
	{ 0xa08410b1, "dma_free_pages" },
	{ 0xfd60a172, "drm_client_framebuffer_create" },
	{ 0xb11ca7b0, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x726cc779, "drm_fb_helper_fill_info" },
	{ 0x511ae835, "drm_gem_create_mmap_offset" },
	{ 0xd3d722d1, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd147cda9, "dev_driver_string" },
	{ 0xb7bb9106, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5a7a49, "fb_sys_write" },
	{ 0x3502d279, "sys_imageblit" },
	{ 0xa73680d2, "drm_atomic_helper_damage_iter_init" },
	{ 0x3f57b701, "drm_fb_helper_blank" },
	{ 0xe09aaa31, "dma_alloc_pages" },
	{ 0x74e21ab5, "drm_gem_private_object_init" },
	{ 0x4c8f7026, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6c2b7f2b, "sys_fillrect" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x8c093a07, "drm_client_init" },
	{ 0x449c75c8, "drm_gem_vm_close" },
	{ 0xb9fb7c06, "drm_gem_vm_open" },
	{ 0xaa6ca84b, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x31f76c0, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x20e7bd3a, "drm_gem_handle_create" },
	{ 0x73d5950, "drm_gem_fb_get_obj" },
	{ 0x4eed8bca, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa0b66be, "drm_fb_helper_pan_display" },
	{ 0x7e99b306, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3c2bbd28, "sys_copyarea" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73b8998e, "drm_client_buffer_vunmap" },
	{ 0x6199c0a5, "fb_sys_read" },
	{ 0x9a70bef6, "drm_fb_helper_debug_leave" },
	{ 0x99cd2687, "dma_buf_vmap_unlocked" },
	{ 0x78c6b32e, "dma_mmap_attrs" },
	{ 0x926b4a2d, "dma_get_sgtable_attrs" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x9d9ebcd, "drm_fb_helper_initial_config" },
	{ 0xe4867ecd, "drm_fb_helper_unregister_info" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xde6bfbb, "drm_fb_helper_ioctl" },
	{ 0x22efd74, "drm_fb_helper_set_par" },
	{ 0xec413f33, "drm_prime_gem_destroy" },
	{ 0x3db200f0, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x65e84096, "drm_fb_helper_init" },
	{ 0xb0d1d290, "drm_fb_helper_debug_enter" },
	{ 0x854f1618, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x66b09b7f, "drm_client_buffer_vmap" },
	{ 0xfabe97b6, "drm_fb_helper_lastclose" },
	{ 0x52a239de, "drm_fb_helper_setcmap" },
	{ 0x1a88f8d0, "drm_fb_helper_alloc_info" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
