#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0x42728014, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0x4d3d6489, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0x19ec41b0, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0xed4b586b, "_gpl");
SYMBOL_CRC(intel_th_free, 0x2270a7ac, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x3fd82e5f, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0xa130599c, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0xdc641d7e, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0x6e3cb8bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x78d23099, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc5a5212, "put_device" },
	{ 0x1e6675af, "devm_free_irq" },
	{ 0xdadebfaa, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x70b608e6, "bus_unregister" },
	{ 0x6f6be7f9, "bus_find_device" },
	{ 0xb1a4a38a, "device_add" },
	{ 0xab055fb8, "noop_llseek" },
	{ 0xffb7c514, "ida_free" },
	{ 0x6c7fe945, "driver_unregister" },
	{ 0x4c1759f6, "sysfs_create_group" },
	{ 0x3bcb6aac, "device_del" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe33855be, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd6f35812, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc191ca5, "dma_set_coherent_mask" },
	{ 0xfb59b67d, "sysfs_remove_group" },
	{ 0xa383e06, "pm_runtime_forbid" },
	{ 0x6c90f39f, "pm_runtime_allow" },
	{ 0x89bb9e9c, "__pm_runtime_resume" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0x20f5813c, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xbdf91bfd, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7e2b3208, "__pm_runtime_disable" },
	{ 0xa9cccb7f, "driver_register" },
	{ 0x9985b005, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x11097c62, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0xcb039902, "devm_request_threaded_irq" },
	{ 0x5f431e7, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x6ad0cad6, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2914750, "device_for_each_child" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "05E9DF6B439E34AC93E7153");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
