#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0xf6b059f1, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x4a0ce27a, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x0bdfa923, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0xd0932c09, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x3e4cca0c, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x25360142, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x88c9d2c7, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x1f1824ee, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x5c03521c, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0xb3d36103, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev, 0x74ed403f, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0xcf2b11fb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe61102c3, "i2c_verify_client" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0xf4ffab18, "single_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0x8381707b, "fwnode_property_present" },
	{ 0xd3032056, "fwnode_graph_get_port_parent" },
	{ 0x7d99a2bc, "fwnode_handle_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xac055a3b, "fwnode_handle_get" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x13738a43, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x683d4adf, "v4l2_device_unregister_subdev" },
	{ 0x2872df97, "v4l2_subdev_put_privacy_led" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0x907b066b, "__dev_fwnode" },
	{ 0xe353aa88, "v4l2_device_register_subdev" },
	{ 0xf317f6ea, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0xf9f78813, "seq_read" },
	{ 0x3d34a6bd, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "86502B47ACF1830AE1D5A4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
