#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x4cad98f9, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x634d54d7, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xbca63ca3, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x039c7e84, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x5eeaab0b, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x19018c43, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xab239821, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xbe26730b, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x294caf98, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x668d9a8a, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xc6bed68b, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x13c738c2, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xf86c450d, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xdb454bd8, "_gpl");
SYMBOL_CRC(mtd_erase, 0x2c178886, "_gpl");
SYMBOL_CRC(mtd_point, 0xf4aac11c, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xefaa811b, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x06c870f0, "_gpl");
SYMBOL_CRC(mtd_read, 0xb46857d7, "_gpl");
SYMBOL_CRC(mtd_write, 0x87f47913, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x1eeee9c6, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x52ce0f39, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xfbb25ccc, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x7d311b91, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x78ab64b0, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0xd1357b38, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x87c8441c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x3ec2a8e1, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x63fbda28, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x86d731e3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xcf684346, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x10823327, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x6c7ed769, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x91b5cc7d, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x654de807, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x14c68971, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xfffffef5, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x6b3d39e6, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x7514ad8f, "_gpl");
SYMBOL_CRC(mtd_lock, 0xdf03ab86, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xb4feab09, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xf67e9899, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x592851f3, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x1257b4e8, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xf11e82c3, "_gpl");
SYMBOL_CRC(mtd_writev, 0xc168c322, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x3934d7e3, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x2b2664a3, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x1f7abb60, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x7543b9f5, "");
SYMBOL_CRC(mtd_concat_destroy, 0xeaec4c4e, "");
SYMBOL_CRC(mtd_add_partition, 0xc129f0a2, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x24bbdf9a, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xfa76a70a, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xc220e3c6, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x69fb6dad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8f11603, "idr_alloc" },
	{ 0x50dd1177, "device_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0x43963528, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x639c9038, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x970f9066, "bdi_alloc" },
	{ 0x42b9d98a, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x20f5813c, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4c1ad905, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8d2d36cd, "remove_proc_entry" },
	{ 0x69b0da09, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x4a8a65cc, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x172e47ea, "dev_err_probe" },
	{ 0xf894b5dc, "proc_create_single_data" },
	{ 0xcde3fd4d, "nvmem_register" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5adde4d2, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe270a02e, "generic_shutdown_super" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x58496378, "sget_dev" },
	{ 0xaee90a3d, "bdi_unregister" },
	{ 0x5f431e7, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6fc4d2f8, "bdi_register" },
	{ 0x525a7a92, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x29ae624c, "logfc" },
	{ 0x796ce696, "sysfs_remove_files" },
	{ 0xfde3ac69, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7585c4b, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfc5a5212, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe3bab502, "debugfs_create_bool" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
