#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x0f96a5a1, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xa38afd2e, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x90b97b87, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xe37b4b7b, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xe33e65f9, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x183b1c71, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xea0132f2, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x2675e9f8, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xe2ca9ff8, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xd9b37bba, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xf65b72a0, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xc9df6d12, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xb6be6b20, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0xb682bc3a, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xc75fdcf1, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xa048a55a, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xe36bf3df, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xf20dc431, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xf59e3eb5, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x608ca5aa, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x35d060c8, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x821d1c1d, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x4414fa6c, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xa00336cc, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0xda47975d, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x755ddb17, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x3ec592be, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x95892001, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x2d62a5b4, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0xd87f35ee, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0xb912d13a, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x4461240a, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x5ff5d723, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0xebf1bef7, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x1d566753, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x44f37b87, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x65597c67, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x9dedeed4, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x1d5bb087, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x70af50ec, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x2911af70, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0xc74c8afa, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x170031aa, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x2379e590, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x171321b5, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x7ca83cfa, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0xc389076f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd16ec16, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x1c621e95, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x687765b9, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xf0fe1805, "led_classdev_unregister" },
	{ 0x4881e579, "ieee80211_register_hw" },
	{ 0xccced0dd, "__ieee80211_create_tpt_led_trigger" },
	{ 0x5a7d81c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x6c856455, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd147cda9, "dev_driver_string" },
	{ 0xda9f279a, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x154a2c93, "ieee80211_queue_delayed_work" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x2624fa88, "ieee80211_ctstoself_get" },
	{ 0x1b8350c7, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7673601a, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e42380e, "ieee80211_free_txskb" },
	{ 0x3949c43e, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf3a2d4, "ieee80211_tx_status" },
	{ 0x11bb1be6, "ieee80211_stop_queue" },
	{ 0x5bba9cfd, "__netdev_alloc_skb" },
	{ 0xcf8e54b6, "ieee80211_stop_queues" },
	{ 0x743de6f3, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba30619e, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd1d78e86, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcf416c14, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbbba7c19, "led_classdev_resume" },
	{ 0x9e17003d, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac170c90, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa7672b1e, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xef13b636, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x34be0089, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7e3388ab, "ieee80211_iterate_interfaces" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "4CE9C1686889935649CFDC0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
