#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0xd8f977c0, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xd29434a4, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xe5985bc1, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x6d0fa736, "");
SYMBOL_CRC(rtw89_core_rx, 0xb4a222ed, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xf83bc858, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xe84c22f0, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x22467a92, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x87e443fd, "");
SYMBOL_CRC(rtw89_core_init, 0xe9567b0e, "");
SYMBOL_CRC(rtw89_core_deinit, 0x2110127c, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xbda72af3, "");
SYMBOL_CRC(rtw89_core_register, 0xfa6c521c, "");
SYMBOL_CRC(rtw89_core_unregister, 0xdc00b738, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x8fba7c9a, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xc8261422, "");
SYMBOL_CRC(rtw89_ops, 0xb26266ce, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x30d560cb, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x6572d46b, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x6aa936e6, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x688ba246, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xe7a3abff, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x889fb95f, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xec12b50e, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x76ca3a02, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0xa7324a33, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0xd2f43017, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x12f1564f, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xdb01e5c6, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x3a33e8d7, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x48684383, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xc5c10134, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x3dbf73e2, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0x58174d3d, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0x71429e4a, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xb9c84d7c, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x8e0eb834, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0xbae1cf93, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xa7b30b89, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xd782ff42, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x7f230006, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x4138eacb, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x101e4666, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xb7b65074, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x0d64cb4f, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x98fc57ac, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0x96314fc1, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0x488de4f5, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0x7ced6fdd, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0xe3650130, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xf6841c2a, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x2a2523fc, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xf83af5c5, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x56c34c75, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xe1405886, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x430baf27, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xe35cfba4, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x66fe408a, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xbfa16256, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x70f62dd3, "");
SYMBOL_CRC(rtw89_ser_notify, 0xfe5bcb87, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x154a2c93, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x84c754ed, "ieee80211_next_txq" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcd268613, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7673601a, "skb_push" },
	{ 0xadf2e647, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xca7a9562, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x58047f0f, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e42380e, "ieee80211_free_txskb" },
	{ 0x6549156f, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf63af30e, "ieee80211_alloc_hw_nm" },
	{ 0xc1192a3c, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5bba9cfd, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x849f45e7, "ieee80211_ready_on_channel" },
	{ 0xcf8e54b6, "ieee80211_stop_queues" },
	{ 0x99c8f8b3, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4be3b27d, "ieee80211_scan_completed" },
	{ 0xcf416c14, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9e17003d, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xac170c90, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc465e46c, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x7f3fc995, "ieee80211_cqm_rssi_notify" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xef13b636, "ieee80211_queue_work" },
	{ 0xbc7215bd, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x1efc89f4, "napi_disable" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x840db5e1, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x34be0089, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa7d773e3, "ieee80211_stop_tx_ba_session" },
	{ 0x65c167db, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd99fe358, "ieee80211_connection_loss" },
	{ 0xa156ac4a, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6d28913a, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7109796f, "__ieee80211_schedule_txq" },
	{ 0x21c6d449, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5b7821cc, "cfg80211_bss_iter" },
	{ 0xd16ec16, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5e184880, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x44bff3d7, "ieee80211_free_hw" },
	{ 0x4e7bbbed, "ieee80211_probereq_get" },
	{ 0xd02cf41c, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x8e98066e, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x754ea915, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaca3510c, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3e8a43c8, "ieee80211_nullfunc_get" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x8abb808e, "ieee80211_pspoll_get" },
	{ 0x4881e579, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeebc0b15, "ieee80211_restart_hw" },
	{ 0xf2f085c4, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a532ca1, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf7591557, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x3c78d057, "skb_queue_tail" },
	{ 0x27124160, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x996eb628, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "975C3DC7FFCB8181263CB71");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
