#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0xb361afb4, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0xa422e37a, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x149b827e, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0xdb9477b1, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xf477b367, "");
SYMBOL_CRC(cdns_read_ping_status, 0x48e54f16, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xf7591623, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x28091846, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xb9c5bdce, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x519cdf15, "");
SYMBOL_CRC(sdw_cdns_init, 0x5000913e, "");
SYMBOL_CRC(cdns_bus_conf, 0x601eb817, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x82a68f62, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x612f9d89, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x891a2aaa, "");
SYMBOL_CRC(sdw_cdns_probe, 0xa5d8dc32, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x6eb64a86, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x1835d281, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x95f6f0a4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ee98a17, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8307f8bb, "sdw_handle_slave_status" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x96937d0d, "debugfs_attr_read" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x2f0a8d7a, "simple_attr_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9f78813, "seq_read" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0x89bb9e9c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3d34a6bd, "single_release" },
	{ 0xe249a88f, "sdw_bread_no_pm_unlocked" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xb7b69d20, "__pm_runtime_suspend" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0xf4ffab18, "single_open" },
	{ 0xfedeea0a, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81883ac4, "sdw_bus_prep_clk_stop" },
	{ 0x9511bd20, "simple_attr_open" },
	{ 0x849cc2b9, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8aa8807c, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "5682E1637E2AD83D605AFE8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
