#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x9a96a2f1, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x6090f023, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x44495e12, "");
SYMBOL_CRC(ufshcd_hold, 0x8c43f7e0, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x228df286, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x00727922, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x76e608cd, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xf6e1742d, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x5a9633ca, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x7c1a6245, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x5ff094c2, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x0f566ff7, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x36aed727, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x1acc4014, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x833f8409, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xfd12af46, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x005d028c, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x7284f441, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x006cab64, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x09a074ad, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x42a58d89, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x7adfe678, "");
SYMBOL_CRC(ufshcd_system_resume, 0x1631d3f7, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x8eb922f2, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xa44008e1, "");
SYMBOL_CRC(ufshcd_remove, 0x313bd11e, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x1eeb9f7c, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xa60d743b, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x682e9740, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x333bdc0c, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x5b243f65, "");
SYMBOL_CRC(ufshcd_init, 0x7d70a446, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xd075b385, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xc67ef070, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x4d4463ec, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x8bd33567, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x6a5c0697, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x149212f6, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x00725ccd, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x21567417, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xef47cee0, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x07bfc30e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xe69526a7, "scsi_change_queue_depth" },
	{ 0x9985b005, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x4747a39a, "device_remove_file" },
	{ 0x576e68a3, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x847c80e0, "scsi_dma_map" },
	{ 0xc6fc2f95, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9bb03f1a, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e9f40f4, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x9511bd20, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x39623a31, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xcb039902, "devm_request_threaded_irq" },
	{ 0x849cc2b9, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x7e7efa98, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x53f4559b, "scsi_autopm_put_device" },
	{ 0xf4ce26cc, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x213c316b, "bsg_remove_queue" },
	{ 0x5f431e7, "dev_set_name" },
	{ 0x729b3d71, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa84bdcc, "dmam_alloc_attrs" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0x74860616, "scsi_remove_host" },
	{ 0x801a6868, "bpf_trace_run6" },
	{ 0x3b78d373, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x8eb09bb0, "blk_pm_runtime_init" },
	{ 0x113212db, "trace_event_printf" },
	{ 0xdce3bceb, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x97ad7f7f, "sysfs_remove_groups" },
	{ 0xa97da26, "hwmon_notify_event" },
	{ 0xcf2a6966, "up" },
	{ 0x6ad0cad6, "device_initialize" },
	{ 0x324f081d, "sysfs_create_groups" },
	{ 0xf38754, "dev_pm_opp_add" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8bca193f, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x427719c1, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x3693aabb, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd91c5e0d, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x24f74751, "blk_mq_alloc_tag_set" },
	{ 0x14be9b6b, "scsi_device_set_state" },
	{ 0x98950530, "devfreq_add_device" },
	{ 0xd147cda9, "dev_driver_string" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x78d23099, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf56ef39f, "scsi_register_driver" },
	{ 0x5e4db5aa, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x86e3a8f, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xfc5a5212, "put_device" },
	{ 0x4024fd83, "blk_mq_unquiesce_tagset" },
	{ 0x981b6838, "blk_mq_free_request" },
	{ 0x8741f3fc, "device_property_read_u32_array" },
	{ 0x1a9fa850, "devm_regulator_get" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xae6adb28, "scsi_device_put" },
	{ 0xa2df36ac, "device_create_file" },
	{ 0xd556ec32, "blk_mq_quiesce_tagset" },
	{ 0x96937d0d, "debugfs_attr_read" },
	{ 0x31d4405c, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9609f566, "devm_kfree" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0xfb58f553, "blk_queue_update_dma_alignment" },
	{ 0x68047b71, "devfreq_remove_device" },
	{ 0x3a2863f8, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xb1a4a38a, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2f0a8d7a, "simple_attr_release" },
	{ 0x5e65e1f9, "hwmon_device_register_with_info" },
	{ 0x6626afca, "down" },
	{ 0x74e7aab5, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5b55e018, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb6bc7334, "sdev_prefix_printk" },
	{ 0x8d558355, "scsi_scan_host" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0x4f828d8, "device_link_remove" },
	{ 0x8e982342, "blk_mq_alloc_request" },
	{ 0x6c7fe945, "driver_unregister" },
	{ 0x36d2af57, "blk_queue_update_dma_pad" },
	{ 0xfdadc156, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1c070977, "blk_put_queue" },
	{ 0x3bcb6aac, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc22b625, "dmam_free_coherent" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25faabff, "regulator_count_voltages" },
	{ 0xeefbd52e, "scsi_is_host_device" },
	{ 0x65dc652, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x94ddf9cb, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfe9751a7, "blk_mq_init_queue" },
	{ 0xa012128a, "blk_mq_unique_tag" },
	{ 0x39548c54, "bpf_trace_run10" },
	{ 0x5c4366a8, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x955dae9d, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc191ca5, "dma_set_coherent_mask" },
	{ 0xeb49704a, "scsi_print_command" },
	{ 0xf9f78813, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa383e06, "pm_runtime_forbid" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0xfe53d01a, "param_set_uint_minmax" },
	{ 0x6c90f39f, "pm_runtime_allow" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x89bb9e9c, "__pm_runtime_resume" },
	{ 0xa9cb81e8, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0x83b1a538, "blk_mq_destroy_queue" },
	{ 0xa5d205aa, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x99728aeb, "devm_blk_crypto_profile_init" },
	{ 0x5285cbc3, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x122094a2, "blk_mq_tagset_busy_iter" },
	{ 0xa5fa6e8, "scsi_done" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x615ad53d, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb5773b04, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x29b3dd77, "regulator_disable" },
	{ 0x172e47ea, "dev_err_probe" },
	{ 0x4b6a0242, "dma_unmap_sg_attrs" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x8bfe8f1e, "scsi_remove_device" },
	{ 0x8716a3bd, "scsi_block_requests" },
	{ 0xb045149d, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf4ffab18, "single_open" },
	{ 0xdfe78d84, "scsi_host_alloc" },
	{ 0x7b083cbb, "__scsi_add_device" },
	{ 0xfe02288c, "devfreq_resume_device" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xca613c0f, "device_link_add" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "31C372F80FD76735684603A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
