#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdns_init, "_gpl", "");
KSYMTAB_FUNC(cdns_remove, "_gpl", "");
KSYMTAB_FUNC(cdns_suspend, "_gpl", "");
KSYMTAB_FUNC(cdns_resume, "_gpl", "");
KSYMTAB_FUNC(cdns_set_active, "_gpl", "");
KSYMTAB_FUNC(cdns_clear_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_set_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_on, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_off, "_gpl", "");
KSYMTAB_FUNC(cdns_power_is_lost, "_gpl", "");

SYMBOL_CRC(cdns_init, 0xb1e948e3, "_gpl");
SYMBOL_CRC(cdns_remove, 0x49f3c904, "_gpl");
SYMBOL_CRC(cdns_suspend, 0xf417ba53, "_gpl");
SYMBOL_CRC(cdns_resume, 0x27f13644, "_gpl");
SYMBOL_CRC(cdns_set_active, 0x05d18001, "_gpl");
SYMBOL_CRC(cdns_clear_vbus, 0xc6057ed9, "_gpl");
SYMBOL_CRC(cdns_set_vbus, 0x957e15a5, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_on, 0x032bdf10, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_off, 0x18c041c1, "_gpl");
SYMBOL_CRC(cdns_power_is_lost, 0xd81236a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86755912, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x145d8032, "usb_get_dr_mode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x78d23099, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdadebfaa, "pm_runtime_enable" },
	{ 0xc3e48e62, "platform_device_add_resources" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0xe75926dd, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3c69e9, "phy_reset" },
	{ 0x1db6774f, "platform_device_add" },
	{ 0xd87cc606, "platform_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xe16eca24, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb536ba9, "usb_role_switch_register" },
	{ 0xbc191ca5, "dma_set_coherent_mask" },
	{ 0x3d2ff58a, "phy_set_mode_ext" },
	{ 0x89bb9e9c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x436d9e1b, "devm_ioremap_resource" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb5773b04, "dma_set_mask" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x7e2b3208, "__pm_runtime_disable" },
	{ 0x9985b005, "__pm_runtime_idle" },
	{ 0x535eda5e, "platform_device_put" },
	{ 0xcf2afb1e, "device_property_present" },
	{ 0xcb039902, "devm_request_threaded_irq" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x37a0cba, "kfree" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "roles,usbcore");


MODULE_INFO(srcversion, "CC7B013C101139D72153B74");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
