#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0x7072bca4, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0xc6cb3468, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0x147ad84a, "_gpl");
SYMBOL_CRC(rndis_uninit, 0x1475b4fc, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0x184097d3, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0x8a24fb9b, "_gpl");
SYMBOL_CRC(rndis_register, 0xf8e3a3dd, "_gpl");
SYMBOL_CRC(rndis_deregister, 0xe7f0416a, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0x7f0afe98, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0x012eff16, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0xe021e207, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x43d35363, "_gpl");
SYMBOL_CRC(rndis_free_response, 0xcea7edb3, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0x6c4b679b, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0xc28bf13a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2cbc5620, "gether_set_qmult" },
	{ 0x97c41899, "config_group_init_type_name" },
	{ 0xfee8f733, "gether_get_host_addr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7673601a, "skb_push" },
	{ 0x7f8c9bb5, "gether_set_gadget" },
	{ 0xffb7c514, "ida_free" },
	{ 0x425a99c0, "free_netdev" },
	{ 0x211a4eaf, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xa111d615, "usb_put_function_instance" },
	{ 0x3802b01e, "netif_tx_wake_queue" },
	{ 0x6bec1b10, "gether_connect" },
	{ 0xd87c1646, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a49651, "gether_set_host_addr" },
	{ 0x743de6f3, "skb_trim" },
	{ 0x8b3626f1, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0xc2de7f80, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0x4bec511a, "gether_get_ifname" },
	{ 0x43a7f119, "gether_set_ifname" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0x5c0f7e72, "gether_setup_name_default" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xac6f6d61, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0x784d9a58, "usb_ep_enable" },
	{ 0x2c53cadb, "usb_ep_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x487b1494, "usb_free_all_descriptors" },
	{ 0x57f00b90, "usb_gstrings_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7f375290, "dev_get_stats" },
	{ 0x1c839da2, "usb_os_desc_prepare_interf_dir" },
	{ 0xeaa12238, "consume_skb" },
	{ 0x43b0332a, "usb_interface_id" },
	{ 0x9c178ac3, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6667960, "gether_disconnect" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x13876bf1, "config_ep_by_speed" },
	{ 0x1418da19, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7acb6ce1, "gether_register_netdev" },
	{ 0x3c78d057, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x89c37d9e, "usb_function_register" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x1b8350c7, "skb_pull" },
	{ 0x6dc968bf, "gether_get_host_addr_u8" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "820327E372FCA23F590BEE7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
