#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x8091bcb1, "");
SYMBOL_CRC(jbd2_journal_start, 0x666e2712, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x39aae956, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x8c34fc09, "");
SYMBOL_CRC(jbd2__journal_restart, 0x136c1fb8, "");
SYMBOL_CRC(jbd2_journal_restart, 0xaf3f1b6c, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x56dc9c8f, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xb7120f3d, "");
SYMBOL_CRC(jbd2_journal_extend, 0x36cfa7b1, "");
SYMBOL_CRC(jbd2_journal_stop, 0xa514f403, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xfae2560f, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x3dcb8ad4, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x14e8f4ec, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xb2cf3e8a, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x0609672f, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xbf386c27, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x8ddc5248, "");
SYMBOL_CRC(jbd2_journal_forget, 0x1d065cb0, "");
SYMBOL_CRC(jbd2_journal_flush, 0x7a4514ad, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xaa626064, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xc06334c0, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xe94fc06b, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x5d79a4d7, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x37bb3bb9, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xf5f6a451, "");
SYMBOL_CRC(jbd2_journal_load, 0x61c68ed0, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x0db0d40a, "");
SYMBOL_CRC(jbd2_journal_abort, 0x897cdcc3, "");
SYMBOL_CRC(jbd2_journal_errno, 0x7bc670fe, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x40010d37, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x2caeb940, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x250fe86c, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x8b53b06e, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xf05fd4db, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xf76812ad, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x1c768764, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x0b8a9492, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xcedd2fc1, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x55e6c9e0, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xae41085a, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xa7aef90f, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x2dfd81d6, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xe5eaec23, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x2beccd75, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x6c039a2b, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x3047428e, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x774fd3cd, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xbb70b2cd, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x221ff41e, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x2bc8ce48, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xed4f2a92, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x98353e8c, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x3d11df2f, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x2af91e8e, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xf16f09b0, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x86155a19, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x5b874a81, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xcb597cc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xdd13d8f8, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xe9f56cdf, "try_to_free_buffers" },
	{ 0x6ad5974a, "sync_blockdev" },
	{ 0x229b3229, "free_buffer_head" },
	{ 0xb63684e9, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4df9fe68, "kmem_cache_alloc" },
	{ 0xb5b966c7, "blk_finish_plug" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3c7ae738, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbdb3f520, "__bh_read_batch" },
	{ 0x74e7aab5, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6c710296, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe347d03b, "kmem_cache_free" },
	{ 0x7fd5bdc6, "__bh_read" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1490704a, "blkdev_issue_zeroout" },
	{ 0x9cb1cb5e, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd376cefa, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x600313e7, "freezing_slow_path" },
	{ 0xe3c9892b, "bpf_trace_run1" },
	{ 0xdfef248f, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5925c4b4, "kthread_create_on_node" },
	{ 0x35d39203, "bpf_trace_run3" },
	{ 0xf9f78813, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4bc99204, "unlock_buffer" },
	{ 0x8e0704a8, "__getblk_gfp" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x98b5e991, "__folio_put" },
	{ 0x8d2d36cd, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0x742be993, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5c992647, "truncate_inode_pages_range" },
	{ 0x1bfd6641, "blkdev_issue_flush" },
	{ 0x20fe36a8, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xec7d74bf, "end_buffer_write_sync" },
	{ 0x396f961a, "seq_open" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x54af778e, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa5597f99, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x3db28951, "kmem_cache_destroy" },
	{ 0xfe643330, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x1a28b417, "bh_uptodate_or_lock" },
	{ 0xc5786c30, "blk_start_plug" },
	{ 0x39623a31, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae2412fd, "folio_unlock" },
	{ 0x456dd7be, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x801a6868, "bpf_trace_run6" },
	{ 0xddd5efa5, "mark_buffer_dirty" },
	{ 0x9acf90ed, "__find_get_block" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0xd09278d3, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x4ef54023, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa8af3eee, "write_dirty_buffer" },
	{ 0x3b452eab, "register_shrinker" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x28808d5c, "iput" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0x82efd6f5, "blockdev_superblock" },
	{ 0x159efc8, "proc_create_data" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x28efbc3a, "kmem_cache_create" },
	{ 0xe1da34aa, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7aefa54f, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90a4dab4, "alloc_buffer_head" },
	{ 0xddbc009c, "wake_up_process" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0F856E99B4B920DFA0D2CBC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
