#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_slave_dev_check, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x52ef088b, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xe5e6750c, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xb2ee1a11, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x3ada61d1, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x2e541e6d, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x29383385, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xca18a04a, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xc1f6e4f1, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x76092cc3, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x731149de, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0xc33a0015, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0xed2a4033, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x47fddfe4, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x1363a069, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x21af6276, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x8b93820c, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xd1de21fa, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x0f67c468, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xd1c6d07a, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0xb240e450, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x9fb293d6, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x65f5a937, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xc42f7b82, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x811d6ad9, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x3079ab3b, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x22f87a2a, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x5ea2a6fb, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x4e84735d, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xef736f09, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0xf128fdf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfc5a5212, "put_device" },
	{ 0xcd962954, "devlink_resource_register" },
	{ 0xf7575ccb, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x328dcde8, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xee3df0a5, "switchdev_bridge_port_offload" },
	{ 0x40ed09c, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x7dc8c84d, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x6bf21324, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xbfd9981e, "devlink_region_create" },
	{ 0x2e1f29ac, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc554de06, "__dev_get_by_index" },
	{ 0x61823cf5, "rtnl_link_unregister" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0x115c0f7a, "devlink_port_unregister" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0x1096ac06, "init_net" },
	{ 0xea056afa, "noop_qdisc" },
	{ 0x49cec250, "phy_ethtool_get_strings" },
	{ 0x7977cb93, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xb447529c, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x88f43f60, "dev_remove_pack" },
	{ 0x74e7aab5, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc3117961, "gro_cells_receive" },
	{ 0x84ef676a, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x7673601a, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xa1364e33, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf945a923, "dev_mc_del" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0xe0fa31fe, "br_vlan_get_info" },
	{ 0x425a99c0, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7ab7cdcb, "mdiobus_free" },
	{ 0xc338a7b7, "phylink_generic_validate" },
	{ 0x4c1759f6, "sysfs_create_group" },
	{ 0xcebdb74b, "devlink_resource_occ_get_register" },
	{ 0x73ad5e61, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x17f66687, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x5992a6b1, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x104476df, "switchdev_bridge_port_unoffload" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xac169a71, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x6d2312be, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x20992d14, "netif_rx" },
	{ 0x621bab1c, "dev_mc_add" },
	{ 0x83664a11, "flow_block_cb_alloc" },
	{ 0xead1d7b7, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x743de6f3, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8cd066ea, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x75048009, "pv_ops" },
	{ 0xfb59b67d, "sysfs_remove_group" },
	{ 0xfe1c1831, "net_selftest" },
	{ 0x35d39203, "bpf_trace_run3" },
	{ 0xaba8d54a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x8da848f6, "devlink_port_init" },
	{ 0xd3f38baf, "__netpoll_setup" },
	{ 0x58e87b94, "__dev_queue_xmit" },
	{ 0xedddffd6, "vlan_vid_add" },
	{ 0x2793b3c0, "devlink_params_register" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xfb713c3e, "vlan_vid_del" },
	{ 0x4e2cbd85, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x5e1e756f, "devlink_resources_unregister" },
	{ 0x7b64af73, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x375170d7, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3a02c082, "devlink_port_region_create" },
	{ 0x82727693, "devlink_priv" },
	{ 0xc465e46c, "skb_copy" },
	{ 0x1be9f76e, "__hw_addr_sync_dev" },
	{ 0xd751820b, "devlink_port_register_with_ops" },
	{ 0xd9e44e38, "mdiobus_get_phy" },
	{ 0x916106cd, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xd855973, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4b7c06c1, "dev_uc_add" },
	{ 0x5001f608, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xdb8e366f, "br_mst_enabled" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x137cf8fe, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0x3a089f39, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xca613c0f, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xb36fc6af, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1fa30070, "dcb_ieee_setapp" },
	{ 0xc8c5a348, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2c51df84, "__skb_vlan_pop" },
	{ 0xef8c6d23, "phylink_connect_phy" },
	{ 0xa7f00010, "br_get_ageing_time" },
	{ 0x3c5816c4, "register_netdevice" },
	{ 0x5e949a4d, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xe7f646b6, "netdev_lower_get_next" },
	{ 0x897c2532, "flow_block_cb_lookup" },
	{ 0x82881b, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0xfc90d1e3, "devlink_resource_occ_get_unregister" },
	{ 0x16008d77, "dev_set_mtu" },
	{ 0xa100b951, "br_vlan_enabled" },
	{ 0xfaedd36c, "__skb_pad" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x39623a31, "bpf_trace_run4" },
	{ 0xddbd150d, "devlink_unregister" },
	{ 0x815e3624, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x89cd2490, "br_port_flag_is_set" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8ee9bded, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6f9362bf, "br_port_get_stp_state" },
	{ 0xeaa12238, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb331e362, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xea32406d, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x289612c2, "__netpoll_free" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0xc1459f60, "br_vlan_get_proto" },
	{ 0x20c2470b, "br_mst_get_state" },
	{ 0xcbe3de9e, "unregister_netdev" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x113212db, "trace_event_printf" },
	{ 0xd02204fe, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x94805de2, "netpoll_send_skb" },
	{ 0x832461e5, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xebef12fc, "devlink_params_unregister" },
	{ 0x9b66851a, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf3cca7e, "devlink_alloc_ns" },
	{ 0xd77b958, "dev_set_promiscuity" },
	{ 0x1062a98e, "devlink_register" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xc61e6b3f, "devlink_free" },
	{ 0xcc0ff85c, "gro_cells_init" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x5d5859cd, "netdev_warn" },
	{ 0xe4a0c828, "unregister_netdevice_queue" },
	{ 0x3693aabb, "get_device" },
	{ 0x7fbc72cd, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbd246b1c, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x67d4a217, "switchdev_handle_fdb_event_to_device" },
	{ 0x7ab5f812, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3c53e09b, "netdev_upper_dev_link" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0xe0ff20a1, "switchdev_handle_port_attr_set" },
	{ 0x8a64b6de, "phylink_create" },
	{ 0x90e818de, "vlan_for_each" },
	{ 0x8f0a10d9, "netdev_port_same_parent_id" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x5626408e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x242e64ab, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xea1447d4, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x99ae9dd5, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "00E924AB21FA4957EACC4F8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
