#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xb69b23b7, "");
SYMBOL_CRC(is_hsr_master, 0xea32406d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x832461e5, "rtnl_link_register" },
	{ 0x7a659793, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xd77b958, "dev_set_promiscuity" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5d5859cd, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe4a0c828, "unregister_netdevice_queue" },
	{ 0x40c14e3c, "netlink_ack" },
	{ 0xa365e8e9, "netdev_state_change" },
	{ 0x85ab0100, "__pskb_copy_fclone" },
	{ 0xbd246b1c, "ether_setup" },
	{ 0x7ab5f812, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c53e09b, "netdev_upper_dev_link" },
	{ 0x90a5de74, "dev_addr_mod" },
	{ 0x5dc691c8, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9249fa05, "netdev_rx_handler_unregister" },
	{ 0xb5ed8f2b, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa403e022, "netlink_broadcast" },
	{ 0x688a3ee0, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x47be2358, "skb_copy_expand" },
	{ 0xc554de06, "__dev_get_by_index" },
	{ 0x61823cf5, "rtnl_link_unregister" },
	{ 0x1096ac06, "init_net" },
	{ 0x1b8350c7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6ec126a1, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x31c55bab, "dev_get_by_index_rcu" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0x9f607bf4, "netdev_printk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7673601a, "skb_push" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0xa1364e33, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0x20992d14, "netif_rx" },
	{ 0x5bba9cfd, "__netdev_alloc_skb" },
	{ 0x743de6f3, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9f78813, "seq_read" },
	{ 0xc4555b40, "debugfs_rename" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0x58e87b94, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc90fd945, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3fc6795, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xe5cbf2aa, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7b668816, "netif_carrier_on" },
	{ 0xa3ad1eb6, "netdev_rx_handler_register" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8b8409f9, "genl_unregister_family" },
	{ 0x83bfd707, "dev_disable_lro" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x5bd3c617, "dev_kfree_skb_any_reason" },
	{ 0xf4ffab18, "single_open" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0x4a8f32ff, "genl_register_family" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x581edb9b, "netdev_info" },
	{ 0x3c5816c4, "register_netdevice" },
	{ 0x16008d77, "dev_set_mtu" },
	{ 0xfaedd36c, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x5dc4fbe4, "eth_header" },
	{ 0xd16ec16, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x76d4e8a3, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A305EE1D69C908602F9E65F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
