#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0xf8e15d6a, "_gpl");
SYMBOL_CRC(esp_output_tail, 0x724ce94a, "_gpl");
SYMBOL_CRC(esp_input_done2, 0xe576581f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x270e73c1, "crypto_aead_setauthsize" },
	{ 0xa726ac27, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8bad6c31, "xfrm_state_lookup" },
	{ 0x8cdef136, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x20e84851, "ipv4_update_pmtu" },
	{ 0x889ade9a, "__xfrm_state_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x99dee770, "sk_free" },
	{ 0x9596475, "skb_copy_bits" },
	{ 0x4ad817a5, "km_new_mapping" },
	{ 0x7fbc72cd, "skb_pull_rcsum" },
	{ 0xd315fca0, "skb_checksum" },
	{ 0x185c24b4, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xad3c68d9, "xfrm_input_resume" },
	{ 0xfe4b9b0d, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3ad1557c, "skb_to_sgvec" },
	{ 0x862851f3, "crypto_aead_decrypt" },
	{ 0x7673601a, "skb_push" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb90eab4d, "napi_pp_put_page" },
	{ 0x74e8ed8b, "__put_devmap_managed_page_refs" },
	{ 0x98b5e991, "__folio_put" },
	{ 0xc6d9eef7, "xfrm_dev_resume" },
	{ 0xaad424f1, "xfrm_output_resume" },
	{ 0x8478cc15, "__skb_ext_del" },
	{ 0x53aa1c54, "kfree_skb_reason" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xb17c2309, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xee4b921, "__inet_lookup_established" },
	{ 0x42cf94e, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x316d0bd5, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa7056d58, "espintcp_queue_out" },
	{ 0xfb578fc5, "memset" },
	{ 0xf445329e, "crypto_aead_encrypt" },
	{ 0x931fc4e6, "skb_page_frag_refill" },
	{ 0x9f5edb40, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf5a398cc, "xfrm_state_mtu" },
	{ 0xce003cc9, "xfrm4_rcv" },
	{ 0xa9cfe5e, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d45667a, "xfrm_register_type" },
	{ 0xea7bdbc4, "xfrm4_protocol_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3d9cdd7d, "xfrm_unregister_type" },
	{ 0xdd13d8f8, "crypto_destroy_tfm" },
	{ 0x974998f2, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcb9e28a8, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "A1ACD4F48159D1443D163BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
