#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x0c409c8d, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x034541cb, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xdc94c22c, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xd464fb46, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x2882d668, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x701cd332, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x009f0d00, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xd95d467e, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x73166eda, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x656b9e55, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xe8c3241c, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x2ca2d8dc, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xc6cbb50a, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x865c840b, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x9213c4a6, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x60474fc7, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x8cb7f7bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x1b8350c7, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa716ccf6, "dev_get_by_index" },
	{ 0x31c55bab, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3b38e0b4, "flow_indr_dev_setup_offload" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xa096dbe4, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2db42d60, "__pskb_pull_tail" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x668b19a1, "down_read" },
	{ 0x7a9be69b, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x75048009, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x58e87b94, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x65eb69, "neigh_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x72510e45, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x8d2d36cd, "remove_proc_entry" },
	{ 0x57b90f52, "nf_ct_acct_add" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x916106cd, "dst_release" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x5ea1937c, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd33e510a, "flow_rule_alloc" },
	{ 0x399c1c95, "ip6_dst_check" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xecf14859, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4f207b06, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb35fa795, "neigh_xmit" },
	{ 0xfc76febc, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x9c7f83ba, "ip6_output" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x75ff9812, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0xb01513c0, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "FF49EB90B049203F4F4C8A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
