#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x320caafe, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xeeca496e, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x720cf7c3, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x75491013, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x941ffd00, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xcbbc2496, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x12cf05cc, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x0d2ecb13, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xe164fc2d, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x8aac24aa, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x72e08f0f, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x4aced42e, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x90b2e03e, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xe6f91d61, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x1e5d7129, "");
SYMBOL_CRC(nf_nat_follow_master, 0xb21776c7, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xdfecf81e, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xce0180af, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x9240f256, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x3dcb3300, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x7781934f, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xfa03f5df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30193128, "pskb_expand_head" },
	{ 0xb01513c0, "register_pernet_subsys" },
	{ 0xdac8c4ba, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7f8c5bd7, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7d04e835, "ipv6_skip_exthdr" },
	{ 0xa11d4b7c, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x21d8c3f8, "module_put" },
	{ 0xdab2d0b2, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x6a6c13d, "nf_ct_expect_related_report" },
	{ 0x68ee375a, "nf_conntrack_alter_reply" },
	{ 0x33a9180c, "ip_route_me_harder" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4a56e9d8, "nf_hook_entries_delete_raw" },
	{ 0x256bd48f, "skb_ensure_writable" },
	{ 0xdbc6dc6d, "nf_unregister_net_hooks" },
	{ 0xcf7b7e38, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xa096dbe4, "unregister_pernet_subsys" },
	{ 0xd315fca0, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd633e44d, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbd66c052, "nf_ip_checksum" },
	{ 0x3c4a909, "register_btf_kfunc_id_set" },
	{ 0xf08b4413, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x7a9be69b, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2c276446, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf6af29f4, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x72510e45, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x916106cd, "dst_release" },
	{ 0xf34f6645, "nf_ct_l4proto_find" },
	{ 0x4ca1ce8c, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xb40f75ce, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9876e0d7, "nf_ct_ext_add" },
	{ 0x3348df88, "__do_once_done" },
	{ 0x4762925f, "nf_conntrack_find_get" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x774b52ef, "nf_ip6_checksum" },
	{ 0x9596475, "skb_copy_bits" },
	{ 0xc1921745, "nf_hook_entries_insert_raw" },
	{ 0xc138dc95, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x20b59292, "nf_ct_seqadj_set" },
	{ 0xd16ec16, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcb24a66f, "nf_ct_helper_expectfn_unregister" },
	{ 0xe3a1a1f1, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xfd171295, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x133a2277, "ip6_route_me_harder" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "073BCA347CFF4F51FB7F01C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
