#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync, "", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x65079256, "");
SYMBOL_CRC(snd_pcm_new, 0xb07820ce, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x383cfc33, "");
SYMBOL_CRC(snd_pcm_notify, 0x4cebdcab, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0xc5ab29b4, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x60b7ecdf, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x58650a47, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x63ed24d4, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0xa5405975, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x0f16b76f, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0xe67ed3a0, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0x34d16951, "");
SYMBOL_CRC(snd_pcm_stop, 0x95561d6a, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0xf775a365, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0xcd55fef7, "");
SYMBOL_CRC(snd_pcm_release_substream, 0xfd0a5521, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x56e7c388, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0x7bf1ed84, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x87a76c3c, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0xea539607, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x787ce8fd, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x2f46a370, "");
SYMBOL_CRC(snd_pcm_set_ops, 0xd5788a9f, "");
SYMBOL_CRC(snd_pcm_set_sync, 0x145347ee, "");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0x4e7b401a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x304f3262, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0xb54aa2f9, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x0b1bab46, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0xa89c27ab, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x6b55588e, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x6e7f4ae1, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0xc5e0584e, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x3d1cf4f3, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x8ebbf328, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x894443cf, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x6705eb75, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x0283dfe3, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x52e3e4a5, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x39bf9301, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x86bbe468, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x706344d0, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x9812c273, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0xf084fdc6, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x5fe3e7d1, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0xf9cd48ce, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x7416fe6f, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0x69255f54, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x7f1a0ad9, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x7f60695f, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0xc162d447, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x3d6f976d, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x565827f8, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x32e46344, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x90ca8a2e, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0xcd23cbc8, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0x4659b8db, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0x3c54a3f4, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x685fca0d, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0xa47eb5c1, "");
SYMBOL_CRC(snd_dma_free_pages, 0x54aae7d9, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0xcaa26fee, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x14bd72dd, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0xbad42183, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x98a969b8, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xeaad38bd, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x02cfa7e8, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x07f86db1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d20cfe4, "dma_sync_sg_for_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x433f578d, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x997b9acc, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x35d39203, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe5724481, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x484bd81e, "dma_alloc_noncontiguous" },
	{ 0x9d69e523, "dma_mmap_noncontiguous" },
	{ 0x9e33e58e, "set_pages_array_wc" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe1ddc7c2, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xb56defe2, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xff0c55be, "snd_info_create_card_entry" },
	{ 0x7c7cb802, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x5cfadb60, "snd_power_wait" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x78c6b32e, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x1e2f5f20, "pid_vnr" },
	{ 0x97d66eb1, "snd_device_free" },
	{ 0xde30f6a8, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0x3ba2188, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xed3fcb19, "snd_device_register" },
	{ 0x2aa9c2cf, "snd_register_device" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x21424306, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x571d2878, "dma_can_mmap" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9c0d3393, "dma_ops" },
	{ 0x34267160, "_copy_to_iter" },
	{ 0x3de398af, "snd_info_register" },
	{ 0x8dc2af7d, "snd_info_create_module_entry" },
	{ 0xbdf3d05c, "snd_ctl_unregister_ioctl_compat" },
	{ 0x1301de77, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x5f431e7, "dev_set_name" },
	{ 0xe889daa8, "snd_ctl_add" },
	{ 0xa5de95a6, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x35ea27ba, "snd_timer_notify" },
	{ 0x38b2da92, "snd_ctl_get_preferred_subdevice" },
	{ 0x18bb6426, "dma_vunmap_noncontiguous" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x37abbe45, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x16f15a0c, "dma_mmap_pages" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3c8c4518, "dma_sync_sg_for_cpu" },
	{ 0xa08410b1, "dma_free_pages" },
	{ 0xb11ca7b0, "dma_sync_single_for_device" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x4044e9fe, "snd_timer_interrupt" },
	{ 0x7ac75d8e, "snd_info_free_entry" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x15e02c21, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe8246567, "bpf_trace_run2" },
	{ 0x21006657, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc6b1ab7f, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0x45528bc6, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x845213e3, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe796ae28, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe09aaa31, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfc5a5212, "put_device" },
	{ 0x41d9cd0e, "snd_ctl_register_ioctl" },
	{ 0x34a27d31, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x627fb87c, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd232e027, "perf_trace_run_bpf_submit" },
	{ 0x1d86d7fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xaa76cce4, "dma_vmap_noncontiguous" },
	{ 0x74e7aab5, "bpf_trace_run5" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x65071365, "__devres_alloc_node" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0xd69ebb98, "dma_need_sync" },
	{ 0xff3f5c4c, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc4a66d22, "vmap" },
	{ 0xb6f03d12, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x990c9a2c, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfb50b566, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe3c9892b, "bpf_trace_run1" },
	{ 0x5fc72f0e, "alloc_pages_exact" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe63dee76, "snd_device_new" },
	{ 0x5121497f, "dma_sync_single_for_cpu" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "E42862940C660263C0FAE43");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
