#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x0e8e44f5, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x2575dee3, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xa02188a0, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xfb3e4a3a, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x36c16289, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xd53cbe5d, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x509e8b48, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x017b521f, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xe2d31d09, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x5bb30e3b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1fc26ce, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x38ec9785, "devm_gpiod_get_optional" },
	{ 0xad517821, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x78d23099, "__pm_runtime_set_status" },
	{ 0x2423e35d, "devm_snd_soc_register_component" },
	{ 0xc07c7db4, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x94165b6e, "sdw_write_no_pm" },
	{ 0x1e6675af, "devm_free_irq" },
	{ 0xdadebfaa, "pm_runtime_enable" },
	{ 0x21a744a7, "regulator_bulk_disable" },
	{ 0x5c2d6e7d, "_dev_info" },
	{ 0x31c4bb1d, "snd_soc_info_volsw" },
	{ 0xe055363d, "cs35l56_init_cs_dsp" },
	{ 0xe5f0ef2a, "wm_adsp_power_down" },
	{ 0xde6f9622, "regcache_drop_region" },
	{ 0xeaa5c217, "_dev_err" },
	{ 0xe3bab502, "debugfs_create_bool" },
	{ 0xbb9c17ad, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x3ef38467, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb3c8cfc0, "cs35l56_runtime_suspend_common" },
	{ 0xb970986a, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x909646ca, "cs35l56_mbox_send" },
	{ 0x71a12f3e, "cs35l56_hw_init" },
	{ 0x7e1dc06b, "_dev_warn" },
	{ 0x3db4249a, "wm_adsp2_component_probe" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe443bfc, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xf10646c1, "cs35l56_system_reset" },
	{ 0x704799fc, "snd_soc_info_enum_double" },
	{ 0xbc9b2038, "regulator_bulk_enable" },
	{ 0x84c16480, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x47ffd60e, "wm_adsp2_component_remove" },
	{ 0xe2fd3ca9, "cs35l56_wait_for_firmware_boot" },
	{ 0x5868cc8, "devm_kasprintf" },
	{ 0x5c39b0b3, "snd_soc_get_volsw" },
	{ 0x557df8cf, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x5ffed976, "cs35l56_is_fw_reload_needed" },
	{ 0x1cfe4353, "regmap_read" },
	{ 0x80079f44, "snd_soc_put_volsw" },
	{ 0x89bb9e9c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x86d9d7f, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xaf2d5270, "regmap_bulk_read" },
	{ 0xbe6ad816, "sdw_stream_remove_slave" },
	{ 0xd26e5180, "cs35l56_runtime_resume_common" },
	{ 0x127c292, "dapm_regulator_event" },
	{ 0x2327d046, "cs35l56_get_speaker_id" },
	{ 0x63ff3de3, "regmap_update_bits_base" },
	{ 0x172e47ea, "dev_err_probe" },
	{ 0xb7b69d20, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x5eed0587, "snd_soc_dapm_get_enum_double" },
	{ 0xbdcfffed, "__pm_runtime_use_autosuspend" },
	{ 0x92b7506e, "wm_halo_init" },
	{ 0x7e2b3208, "__pm_runtime_disable" },
	{ 0xc6384f0a, "cs35l56_firmware_shutdown" },
	{ 0xa4c63f1e, "sdw_stream_add_slave" },
	{ 0x257ee402, "pm_runtime_force_suspend" },
	{ 0x636de6c5, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xa59902d3, "snd_soc_dapm_put_enum_double" },
	{ 0xa54dbe02, "regcache_cache_only" },
	{ 0x370bd6e2, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7cfd8b4b, "regmap_write" },
	{ 0xbbb172a8, "snd_soc_dapm_mux_update_power" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b78d373, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe13ee2ee, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4ca9570f, "snd_soc_card_get_kcontrol_locked" },
	{ 0x10224e91, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd-soc-cs35l56-shared,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "096641AB360AED084337CDA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
